<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MRapprovalproduct extends Model
{
    protected $table = 'mr_approval_products';
    
    protected $fillable = [
        'material_requisition_id','product_id','qty','unit_id','grade_id','mr_product_id','price','remarks','tax_percentage','tax_amount','total_amount'
    ];
    public $timestamps = false;
    public function materialRequest()
    {
    	return $this->belongsTo('App\MaterialRequisition','material_requisition_id');
    }

    public function product()
    {
    	return $this->belongsTo('App\Product','product_id');
    }

    public function unit()
    {
    	return $this->belongsTo('App\UnitMeasurement','unit_id');
    }

    public function grade()
    {
    	return $this->belongsTo('App\GradeMaster','grade_id');
    }

    public function mrProduct()
    {
        return $this->belongsTo('App\MRproduct','mr_product_id');
    }
}
