<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MRorder extends Model
{
    protected $table = 'material_requisition_order';
    
    protected $fillable = [
        'customer_id','location_id','product_id','qty','unit_id','grade_id','price','remarks'
    ];

    public $timestamps = false;

    public function product()
    {
    	return $this->belongsTo('App\Product','product_id');
    }

    public function unit()
    {
    	return $this->belongsTo('App\UnitMeasurement','unit_id');
    }

    public function grade()
    {
    	return $this->belongsTo('App\GradeMaster','grade_id');
    }


}
