<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MRseaapprovedproductschedule extends Model
{
    protected $table = 'mr_sea_approved_product_schedules';
    
    protected $fillable = [
        'material_requisition_sea_id','mr_sea_approval_product_id','product_id','qty','unit_id','grade_id','scheduled_date','deleted_at'
    ];

    public $timestamps = false;

    public function product()
    {
    	return $this->belongsTo('App\Product','product_id');
    }

    public function unit()
    {
    	return $this->belongsTo('App\UnitMeasurement','unit_id');
    }

    public function grade()
    {
    	return $this->belongsTo('App\GradeMaster','grade_id');
    }

    public function materialRequest()
    {
    	return $this->belongsTo('App\MaterialRequisitionSea','material_requisition_sea_id');
    }

    public function materialRequestApprovalSeaProduct()
    {
        return $this->belongsTo('App\MRseaapprovalproduct','mr_sea_approval_product_id');
    }

    public function mrApproval()
    {
        return $this->hasmany('App\MRapprovalproduct','mr_product_id');
    }

    
}

