<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PRsupplier extends Model
{
    protected $table = 'pr_suppliers';
    
    protected $fillable = [
        'purchase_request_id','supplier_id','status','eta'
    ];

   public $timestamps = false;
   
    public function purchaseRequest()
    {
    	return $this->belongsTo('App\PurchaseRequest','purchase_request_id');
    }

    public function supplier()
    {
    	return $this->belongsTo('App\Supplier','supplier_id');
    }

    public function prProduct()
    {
        return $this->belongsTo('App\PRproduct','pr_product_id');
    }

}
