<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ProductUnit extends Model
{

    protected $table = 'product_unit';
    
    protected $fillable = [
        'product_id','unit_id','is_active'
    ];

    public $timestamps = false;

    public function unitMaster()
    {
    	return $this->belongsTo('App\UnitMeasurement','unit_id');
    }

    public function product()
    {
    	return $this->belongsTo('App\Product','product_id');
    }
}
