<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class SupplierProductSeason extends Model
{

    protected $table = 'supplier_product_seasons';
    
    protected $fillable = [
        'supplier_id','season_master_id','product_id'
    ];
  	
  	public $timestamps = false;

  	public function supplier()
  	{
  		return $this->belongsTo('App\Supplier','supplier_id');
  	}

  	public function product()
  	{
  		return $this->belongsTo('App\Product','product_id');
  	}

    public function seasonMaster()
    {
      return $this->belongsTo('App\SeasonMaster','season_master_id');
    }

}
