<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  @include('title')
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- bootstrap datepicker -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  <style>
  * {
    box-sizing: border-box;
  }

  /* Create three equal columns that floats next to each other */
  .column {
    float: left;
    width: 15%;
    padding: 0px;
  }

  /* Clear floats after the columns */
  .row:after {
    content: "";
    display: table;
    clear: both;
  }
  
  /*.row-div {*/
  /*      float: left; */
  /*      width: 14%; */
  /*      height: 50px; */
  /*      border: 1px solid #000000;*/
  /*      padding: 10px;*/
  /*      font-size: 18px;*/
  /*  }*/
    
  table, th, td {
    border: 1px solid black;
    border-collapse: collapse;
    height: 50px;
    text-align: left;
    padding: 8px;
  }
  
  tr:nth-child(even) {
      background-color:#69696959;
  }

  /*.row-div {
  margin: auto;
  width: 50%;
  border: 3px solid green;
  padding: 10px;
  }*/
  </style>
</head>
<!-- ADD THE CLASS layout-top-nav TO REMOVE THE SIDEBAR. -->
<body class="hold-transition skin-blue layout-top-nav">
<div class="wrapper">
  @include('topheader')
  
  <!-- Full Width Column -->
  <div class="content-wrapper">
    <div class="container">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <h1>
          Credit Sale Orders
          <small>{{$location}}</small>
        </h1>
        <ol class="breadcrumb">
        <form id="date_filter_pos">
          @if($_GET['print'] == 1)
          <a href="{{route('pos.credit.sale.orders')}}?print=0" class="btn btn-success">Not Processed</a>
          @else
          <a href="{{route('pos.credit.sale.orders')}}?print=1" class="btn btn-success">Processed</a>
          @endif
          <input type="text" class="form-control pull-right datepicker" name="from_date" id="from" value="{{date('d-m-Y', strtotime($date))}}" style="display: none;" onchange="document.getElementById('date_filter_pos').submit();" required="">
        </form>
        </ol>
      </section>

      <!-- Main content -->
      <section class="content">
      <!-- @foreach($list as $l)
        <div class="callout @if($l->print) callout-info  @else  callout-danger  @endif row">
          <div class="column">{{$l->prefix ?? ''}}{{$l->request_no}},</div>
          <div class="column">{{date('d-m-Y',strtotime($l->request_date))}},</div>
          <div class="column">{{$l->entered->name}},</div>
          <div class="column">{{$l->entered->name}},</div>
          <div class="column">{{$l->customer_name ?? ''}},</div>
          @if($l->print == 1) 
          <div class="column"><a  target="_blank"  class="btn btn-info pull-right cprint" btn-id="{{$l->id}}" id="print"><i class="fa fa-print" style="color: white"></i> Printed</a>
          </div>
          @else
          <div class="column"><a  target="_blank"  class="btn btn-success pull-right cprint" btn-id="{{$l->id}}" id="print"><i class="fa fa-print"></i> Print</a>
          </div>
           @endif 
        </div>
      @endforeach -->
      <!--<div class='row-div'>-->
      <!--  Order ID-->
      <!--</div>-->
      <!--<div class='row-div'">-->
      <!--  Date-->
      <!--</div>-->
      <!--<div class='row-div'>-->
      <!--  Customer name-->
      <!--</div>-->
      <!--<div class='row-div'>-->
      <!--  User-->
      <!--</div>-->
      <!--<div class='row-div'>-->
      <!--  Print-->
      <!--</div>-->
      <!--<div class='row-div'>-->
      <!--  Status-->
      <!--</div>-->
      <!--<div class='row-div'>-->
      <!--  Delivery Boy-->
      <!--</div>-->
      <!--@foreach($list as $l)-->
      <!--  <div class='row-div' div-id="{{$l->id}}" @if($loop->iteration%2) style="background-color:#69696959;" @endif>-->
      <!--    {{$l->prefix ?? ''}}{{$l->request_no}}-->
      <!--  </div>-->
      <!--  <div class='row-div' div-id="{{$l->id}}" @if($loop->iteration%2) style="background-color:#69696959;" @endif>-->
      <!--    {{date('d-m-Y',strtotime($l->request_date))}}-->
      <!--  </div>-->
      <!--  <div class='row-div' div-id="{{$l->id}}" @if($loop->iteration%2) style="background-color:#69696959;" @endif>-->
      <!--    @if($l->customer_id) {{$l->customer->name}} @else {{$l->entered->name}}@endif-->
      <!--  </div>-->
      <!--  <div class='row-div' div-id="{{$l->id}}" @if($loop->iteration%2) style="background-color:#69696959;" @endif>-->
      <!--    {{$l->entered->name}}-->
      <!--  </div>-->
      <!--  <div class='row-div' div-id="{{$l->id}}" @if($loop->iteration%2) style="background-color:#69696959;" @endif>-->
      <!--    <button class="cprint" btn-id="{{$l->id}}" id="print" style="padding-bottom: 1px; margin-left: 10px; background-color: #00a65a;">Print</button>-->
          <!-- <a  target="_blank" class="cprint" btn-id="{{$l->id}}" id="print" style="background-color:#398439;border-color:#008d4c;display: inline-block;padding: 1px 1px;margin-bottom: 0;"><i class="fa fa-print" style="color: white"></i> Print</a> -->
      <!--  </div>-->
      <!--  <div class='row-div' div-id="{{$l->id}}" @if($loop->iteration%2) style="background-color:#69696959;" @endif>-->
      <!--  @if($l->print == 1) -->
      <!--    <i class="fa fa-print">Processed</i> -->
      <!--  @else-->
      <!--    <i class="fa fa-print status{{$l->id}}">Not Processed</i>-->
      <!--  @endif-->
      <!--  </div>-->
      <!--  <div class='row-div' div-id="{{$l->id}}" @if($loop->iteration%2) style="background-color:#69696959;" @endif>-->
          
      <!--  </div>-->
      <!--@endforeach-->
      <table>
          <thead>
              <tr>
                  <th style="width:10%">Order ID</th>
                  <th style="width:10%">Date</th>
                  <th style="width:30%">Customer name</th>
                  <th style="width:10%">User</th>
                  <th style="width:10%">Print</th>
                  <th style="width:10%">Status</th>
                  <th style="width:10%">Delivery Boy</th>
              </tr>
          </thead>
          <tbody>
        @foreach($list as $l)
              <tr>
                  <td>{{$l->prefix ?? ''}}{{$l->request_no}}</td>
                  <td>{{date('d-m-Y',strtotime($l->request_date))}}</td>
                  <td>@if($l->customer_id) {{$l->customer->name}} @else {{$l->entered->name}}@endif</td>
                  <td>{{$l->entered->name}}</td>
                  <td><button class="cprint" btn-id="{{$l->id}}" id="print" style="padding-bottom: 1px; height: 100%; width: 100%; background-color: #00a65a;">Print</button></td>
                  <td>
                      @if($l->print == 1) 
                      <i class="fa fa-print">Processed</i> 
                      @else
                      <i class="fa fa-print status{{$l->id}}">Not Processed</i>
                      @endif
                  </td>
                  <td></td>
              </tr>
        @endforeach
          </tbody>
      </table>
      <!-- /.box -->
      </section>
      <!-- /.content -->
    </div>
    <!-- /.container -->
  </div>
  <!-- /.content-wrapper -->
  @include('footertag')
</div>
<!-- ./wrapper -->

<!-- jQuery 3 -->
<script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
<!-- Bootstrap 3.3.7 -->
<script src="{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
<!-- bootstrap datepicker -->
<script src="{{asset('lte/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js')}}"></script>
<!-- SlimScroll -->
<script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
<!-- FastClick -->
<script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
<!-- AdminLTE App -->
<script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{asset('lte/dist/js/demo.js')}}"></script>
<script type="text/javascript">
  $('.datepicker').datepicker({
      autoclose: true,
      format: 'dd-mm-yyyy',
      orientation: "bottom"
  })
</script>  
<script>
    $(document).ready(function(){
      setTimeout(function() {
        location.reload();
      }, 30000);
      $(document).on("click",".cprint",function(){
        var url = "{{url('')}}"+"/pos/credit/sales/order/print/"+$(this).attr("btn-id");
        var mr_id = $(this).attr("btn-id");
        $.get("{{url('credit/sale/print')}}", {option: mr_id}, function(mode_data){
           $('div[div-id='+mr_id+']').remove(); 
        });
        // window.open(url);
        // '', '', 'left=0,top=0,width=800,height=600,toolbar=0,scrollbars=0,status=0'
        var winPrint = window.open(url);
         // $(this).closest('div').parent().removeClass('callout-danger');
         // $(this).closest('div').parent().addClass('callout-info');
         // $(this).closest('div').parent().find('.status'+$(this).attr("btn-id")).text('Printed');
         //$(this).closest('div').parent().remove();
        // winPrint.document.close();
        // winPrint.focus();
        // winPrint.print();
        // winPrint.close();
      });
       
    });
</script>
</body>
</html>
