`<!DOCTYPE html>
<html>
<head>
  @include('title')
  

  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">
  
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="{{asset('lte/plugins/iCheck/all.css')}}">
  <!-- DataTables -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css')}}">
  
  
</head>
<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">
  
  @include('headertag')
  <!-- Left side column. contains the logo and sidebar -->
  @include('leftside')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
      <h1>
          Manage  Products
        </h1>
        <ol class="breadcrumb">
          <li><a href="{{route('products.index')}}"><i class="fa fa-dashboard"></i> Product</a></li>
          <li class="active">Manage products</li>
        </ol>
      </section>

      <div class="box-header with-border" id="productMange" style="display: none;">
               <div class="alert alert-success alert-dismissible">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                Status Changed Successfully....
               </div>
            </div>

      <!-- Main content -->
      <section class="content">
        
        <!-- Main row -->
        <div class="row">
          <!-- Left col -->
          <section class="col-lg-12 connectedSortable">
            <!-- Custom tabs (Charts with tabs)-->
            
              <!-- Tabs within a box -->
             
              
               <!-- right column -->
        
       <!-- Horizontal Form -->
             <div class="box box-info">
              <br>
            <!-- /.box-header -->
            <!-- form start -->
            
             <form class="form-horizontal" action="{{route('products.manage.list')}}" method="POST">
             <input type="hidden" name="_token" value="{{ csrf_token() }}">
             
              <div class="box-body">
                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Category<font color="red">*</font></label>
                   <div class="col-sm-4">
                   <select class="form-control" name="category" id="category">
                    <option value="">Select</option>
                    @foreach($categories as $category)
                    @if($selctCat != NULL && $selctCat == $category->id)
                    <option value="{{$category->id}}" selected="">{{$category->category}}</option>
                    @else
                    <option value="{{$category->id}}">{{$category->category}}</option>
                    @endif
                    @endforeach 
                  </select>
                  </div>
                  <button type="submit" class="btn btn-info pull-left" style="margin-left: 8px;">SHOW</button>
                  
                </div>
                
              </div>
              <!-- /.box-body -->
              <!-- /.box-footer -->
            </form>
          </div>
          <!-- /.box --> 
                
         
          

          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Product List</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                
                <tr>
                  <th>Sl No.</th>
                  <th>Product</th>
                  <th>Code</th>
                  <th>Active</th>
                  <th>Map</th>
                </tr>

                </thead>

                <tbody>
                 <?php $c = 1; $b = 1;?>
                 @if($products != NULL)
                 @foreach($products as $data)
                  <tr>
                  <td>{{$c++}}</td>
                  <td>{{$data->name}}</td>
                  <td>{{$data->code}}</td>
                  <td  id="{{$b++}}"> 
                  @if($data->is_active == 'Y')
                  <input  type="checkbox" class="btn checkPdct" name="addCategory" id="addCategory" value="{{$data->id}}" checked="" style="display: inline;"> <h6 style="display: inline;">Active</h6>
                  @else
                  <input  type="checkbox" class="btn checkPdct" name="addCategory" id="addCategory" value="{{$data->id}}" style="display: inline;"> <h6 style="display: inline;"></h6> 
                  @endif
                  </td>
                  <td>
                    <a class="btn" data-toggle="modal" data-target="#modal-default" onclick="jsStandrd({{$data->id}})"><i class="fa fa-fw fa-plus" style="color: red;"></i></a>
                  </td>
                  </tr>
                  @endforeach
                  @endif
                </tbody>
                
              </table>
            </div>
            <!-- /.nav-tabs-custom -->

            <!-- Chat box -->
            
            <!-- /.box (chat box) -->

            
            <!-- quick email widget -->
          </section>
          <!-- /.Left col -->
          
        </div>
        <!-- /.row (main row) -->

      </section>
      <!-- /.content -->
    </div>
  <!-- /.content-wrapper -->

      <div class="modal fade" id="modal-default">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span></button>
              <h4 class="modal-title" id="modal_title">Packing</h4>
            </div>
            <div class="modal-body">
              <input type="hidden" name="prd_id" id="prd_id">
              <table id="grade_table" class="table table-bordered table-striped">
                <thead>
                  <th>Sl No.</th>
                  <th>Packing</th>
                  <th>Active</th>
                </thead>
                <tbody>
                  
                </tbody>
              </table>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->
  
  @include('footertag')

  <!-- Control Sidebar -->
  @include('rightside')
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

  <!-- jQuery 3 -->
  <script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="{{asset('lte/bower_components/jquery-ui/jquery-ui.min.js')}}"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <!-- Bootstrap 3.3.7 -->
  <script src="{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
  
  <!-- Sparkline -->
  <script src="{{asset('lte/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js')}}"></script>
  
  <!-- Bootstrap WYSIHTML5 -->
  <script src="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js')}}"></script>
  <!-- Slimscroll -->
  <script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
  <!-- FastClick -->
  <script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
  <!-- AdminLTE App -->
  <script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
  
  <!-- AdminLTE for demo purposes -->
  <script src="{{asset('lte/dist/js/demo.js')}}"></script>

  <!-- iCheck 1.0.1 -->
<script src="{{asset('lte/plugins/iCheck/icheck.min.js')}}"></script>

<!-- DataTables -->
<script src="{{asset('lte/bower_components/datatables.net/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('lte/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js')}}"></script>
</body>

<script type="text/javascript">
 $(function () {
    $('#example1').DataTable()
    
  })
 function jsStandrd(value){
  $("#prd_id").val(value);
  
  $('#grade_table tbody').empty();
  $.get("{{url('get/map/productGrade')}}",
    {prd: value},
    function(data){
      
      // alert(data[2]);
      var i = 1;
      $('#modal_title').text('Grades- '+data[1]);
      $.each( data[0], function( index, element ) {
        
        var td_id = 'pop'+i;
        
        if(element.is_active == 'Y') {
          
          $('#grade_table tbody').append('<tr><td>'+i+'</td><td>'+element.grade+'</td><td id="'+td_id+'"><input type="checkbox" name="active" class="active" value="'+element.gid+'" checked="checked"></td></tr>');
        }
        else{
          $('#grade_table tbody').append('<tr><td>'+i+'</td><td>'+element.grade+'</td><td id="'+td_id+'"><input type="checkbox" name="active" class="active" value="'+element.gid+'"></td></tr>');
        }
        i++;
      });
    });
 }
</script>
<script>

$(document).ready(function(){
    $(document).on("click",".checkPdct", function(){

      var product  = $(this).val();
      if ($(this).prop("checked") == true) {

       var closestTr = $(this).closest('td').attr('id');
       
       $('#'+closestTr).find('h6').html("Active");
       $('#'+closestTr).append('<b class="bt">Product Active !!</b>').find('.bt').fadeOut(1000);

       $.post("{{ url('product/manage/active')}}", 
              { option: product }, 
              function(data) {
                
        });         
      }
      
    });
  
    $(document).on("click",".checkPdct", function(){

      if ($(this).prop("checked") == false) {
      var product  = $(this).val();
       var closestTr = $(this).closest('td').attr('id');

       $('#'+closestTr).append('<b class="bt">Product Inactive !!</b>').find('.bt').fadeOut(1000);
        $.post("{{ url('product/manage/Inactive')}}", 
              { option: product }, 
              function(data) {
              
            });  
      }
    });

    $("#grade_table").on("click", ".active", function(){
      var row = $(this).closest('td').attr('id');
      if ($(this).prop("checked") == true) {
        var p_grd = $(this).val();
        var prod_id = $("#prd_id").val();
        $.get("{{ url('active/product/grade')}}", { product: prod_id, p_grd: p_grd  }, function(data) {
          $('#'+row).append('<b class="bt">Packing active !!!</b>').find('.bt').fadeOut(2000);
        }); 
      }
    });

    $("#grade_table").on("click", ".active", function(){
      var row = $(this).closest('td').attr('id');
      if ($(this).prop("checked") == false) {
        var p_grd = $(this).val();
        var prod_id = $("#prd_id").val();
        $.get("{{ url('inactive/product/grade')}}", { product: prod_id, p_grd: p_grd  }, function(data) {
          $('#'+row).append('<b class="bt">Packing Inactive !!!</b>').find('.bt').fadeOut(2000);
        }); 
      }
    });
  
}); 
 

 

</script>


</html>
