<!DOCTYPE html>
<html>
<head>
  @include('title')
  

  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- daterange picker -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-daterangepicker/daterangepicker.css')}}">
  <!-- bootstrap datepicker -->
<link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css')}}">
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="{{asset('lte/plugins/iCheck/all.css')}}">
  <!-- Bootstrap Color Picker -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-colorpicker/dist/css/bootstrap-colorpicker.min.css')}}">
  <!-- Bootstrap time Picker -->
  <link rel="stylesheet" href="{{asset('lte/plugins/timepicker/bootstrap-timepicker.min.css')}}">
  <!-- Select2 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/select2/dist/css/select2.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  
  
</head>
<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">
  
  @include('headertag')
  <!-- Left side column. contains the logo and sidebar -->
  @include('leftside')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header"><br>
       <h1>
          Cancelled Products Report
        </h1>
        <ol class="breadcrumb">
          <li><a href="#"><i class="fa fa-dashboard"></i>Cancelled Products</a></li>
          <li class="active">Report</li>
        </ol>
      </section>

      <!-- Main content -->
      <section class="content"><br>
        
        <!-- Main row -->
        <div class="row">
          <!-- Left col -->
          <section class="col-lg-12 connectedSortable">
            <!-- Custom tabs (Charts with tabs)-->
            <div class="nav-tabs-custom">
              <!-- Tabs within a box -->
              
              <div class="tab-content no-padding">
               <!-- right column -->
        
       <!-- Horizontal Form -->
             <div class="box box-info">
             <div class="box-header with-border">
             <h3 class="box-title"></h3>
                
              </div>
              
            <!-- /.box-header -->
            <!-- form start -->
            
             <form class="form-horizontal" action="{{route('mr.cancelled_product.report.view')}}" method="POST">
             <input type="hidden" name="_token" value="{{ csrf_token() }}">
             
              <div class="box-body">
                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Category</label>
                   <div class="col-sm-4">
                    <select class="form-control select2" multiple="multiple" name="category[]" id="category" data-placeholder="Select">
                    <option value="">Select</option>
                    @foreach($categories as $category)
                    <option value="{{$category->id}}">{{$category->category}}</option>
                    @endforeach 
                  </select>
                  </div>
                </div>

                <div class="form-group">
               <label for="inputcategory" class="col-sm-2 control-label">Tag</label>
                 <div class="col-sm-4">
                  <select class="form-control select2" multiple="multiple" name="tag[]" id="tag" data-placeholder="Select">
                  <option value="">Select</option>
                   @foreach($tags as $tag)
                  <option value="{{$tag->id}}">{{$tag->name}}</option>
                   @endforeach 
                </select>
              </div>
            </div>

                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Customer</label>
                   <div class="col-sm-4">
                    <select class="form-control select2" name="customer" id="customer">
                    <option value="">Select</option>
                    @foreach($customers as $cus)
                    <option value="{{$cus->id}}">{{$cus->name}}</option>
                    @endforeach 
                  </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Customer Type</label>
                   <div class="col-sm-4">
                    <select class="form-control select2" multiple="multiple" name="custype[]" id="cus_type" data-placeholder="Select">
                    <option value="">Select</option>
                    @foreach($types as $type)
                    <option value="{{$type->id}}">{{$type->name}}</option>
                    @endforeach 
                  </select>
                  </div>
                </div>

                <div class="form-group">
                <label for="inputdate" class="col-sm-2 control-label">Date Range<font color="red">*</font></label>
                <div class="col-sm-4">
                <div class="input-group">
                  <div class="input-group-addon">
                    <i class="fa fa-calendar"></i>
                  </div>
                    <input type="text" name="date" class="form-control pull-right" id="reservation" required="">
                  </div>
                  
                </div>
                <!-- /.input group -->
              </div>
                  
              </div>

             
                
              <!-- /.box-body -->
              <div class="box-footer">
                <button type="submit" class="btn btn-info pull-left" style="margin-left: 8px;">SHOW</button>
              </div>
              <!-- /.box-footer -->
            </form>
          </div>
          <!-- /.box --> 
                
          </div>
          </div>

          
            <!-- Chat box -->
            
            <!-- /.box (chat box) -->

            
            <!-- quick email widget -->
          </section>
          <!-- /.Left col -->
          
        </div>
        <!-- /.row (main row) -->

      </section>
      <!-- /.content -->
    </div>
  <!-- /.content-wrapper -->
  
  @include('footertag')

  <!-- Control Sidebar -->
  @include('rightside')
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

  <!-- jQuery 3 -->
<script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
<!-- Bootstrap 3.3.7 -->
<script src=".{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
<!-- Select2 -->
<script src="{{asset('lte/bower_components/select2/dist/js/select2.full.min.js')}}"></script>
<!-- InputMask -->
<script src="{{asset('lte/plugins/input-mask/jquery.inputmask.js')}}"></script>
<script src="{{asset('lte/plugins/input-mask/jquery.inputmask.date.extensions.js')}}"></script>
<script src="{{asset('lte/plugins/input-mask/jquery.inputmask.extensions.js')}}"></script>
<!-- date-range-picker -->
<script src="{{asset('lte/bower_components/moment/min/moment.min.js')}}"></script>
<script src="{{asset('lte/bower_components/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
<!-- bootstrap datepicker -->
<script src="{{asset('lte/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js')}}"></script>
<!-- bootstrap color picker -->
<script src="{{asset('lte/bower_components/bootstrap-colorpicker/dist/js/bootstrap-colorpicker.min.js')}}"></script>
<!-- bootstrap time picker -->
<script src="{{asset('lte/plugins/timepicker/bootstrap-timepicker.min.js')}}"></script>
<!-- SlimScroll -->
<script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
<!-- iCheck 1.0.1 -->
<script src="{{asset('lte/plugins/iCheck/icheck.min.js')}}"></script>
<!-- FastClick -->
<script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
<!-- AdminLTE App -->
<script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{asset('lte/dist/js/demo.js')}}"></script>

<script>
  $(function () {
    $('.select2').select2()
  })
</script>
<!-- Page script -->
</body>
<script type="text/javascript">

$('.datepicker').datepicker({
      autoclose: true
    })

//Date range picker
    $('#reservation').daterangepicker()
//Date range as a button
    $('#daterange-btn').daterangepicker(
      {
        ranges   : {
          'Today'       : [moment(), moment()],
          'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
          'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
          'Last 30 Days': [moment().subtract(29, 'days'), moment()],
          'This Month'  : [moment().startOf('month'), moment().endOf('month')],
          'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        startDate: moment().subtract(29, 'days'),
        endDate  : moment()
      },
      function (start, end) {
        $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
      }
    )

</script>

<script type="text/javascript">
  jQuery("#group").change(function()
  {   
      var group = $(this).val();

      $.get("{{ url('mr/consolidated_report/sub_group')}}",
          {option: group},
          function(data){
            console.log(data);
            $('#sub_group').empty();
            $("#sub_group").append("<option value=''>"+"Select"+"</option>");
            $.each(data, function(index, element) {
                  $('#sub_group').append("<option value='"+ element.id +"'>"+element.sub_group+"</option>");
          });
          });
  });
</script>

</html>
