<?php


//damage list
Route::get('approve/damage/orders',['as' => 'approve.damage.orders',
  'uses' => 'DamageOrderController@approveIndex']);

Route::get('edit/{id}/approve/damage/order',['as' => 'edit.approve.damage.order',
  'uses' => 'DamageOrderController@approveEdit']);

Route::post('approve/{id}/damage/order', ['as' => 'approve.damage.order',
	'uses' => 'DamageOrderController@approveDamageOrder']);

Route::get('approved/damage/orders',['as' => 'approved.damage.orders',
  'uses' => 'DamageOrderController@approvedIndex']);

Route::get('show/{id}/damage/order',['as' => 'show.damage.order',
  'uses' => 'DamageOrderController@showApprovedDamageOrder']);

//goods return list


Route::get('mrapproval/index',['as'=>'mrapproval.index',
	'uses'=>'MrApprovalController@listMR']);

  Route::get('mrapproval/edit/{id}',['as'=>'mrapproval.edit',
	'uses'=>'MrApprovalController@edit']);

  Route::get('customer_products','MrApprovalController@customerProductGet');
  Route::get('customer_units','MrApprovalController@customerUnitGet');
  Route::get('customer_grades','MrApprovalController@customerGradeGet');
  Route::post('mr_product_detele','MrApprovalController@removeMRPorduct');
  Route::post('mr/{id}/approved',['as' => 'mr.approved',
  	'uses' => 'MrApprovalController@mrApproved']);

  Route::get('mr/approved/list',['as' => 'mr.approved.list',
  	'uses' => 'MrApprovalController@mrApprovedList']);
  Route::get('mrapproved/{id}/show',['as' => 'mrapproved.show',
  	'uses' => 'MrApprovalController@mrApprovedShow']);
  Route::get('mr/{id}/cancel/approval',['as' => 'mr.cancel.approval',
  	'uses' => 'MrApprovalController@cancelApproval']);
  
  Route::get('mrapproved/{id}/edit/products',['as' => 'mrapproved.edit.products',
    'uses' => 'MrApprovalController@editApprovedProducts']);
  Route::post('mrapproved_product_detele','MrApprovalController@removeMRapprovedPorduct');
  Route::post('mr/{id}/edit/approved',['as' => 'mr.edit.approved',
    'uses' => 'MrApprovalController@update']);
  /////supplier rate report/////

Route::get('supplier_rate/report',['as' => 'supplier_rate.report',
	'uses' => 'ReportController@SupplierwiseRate']);

Route::post('supplier_rate_report/show',['as' => 'supplier_rate_report.show',
	'uses' => 'ReportController@SupplierwiseRateList']);

Route::get('product_rate/show',['as' => 'product_rate.show',
	'uses' => 'ReportController@showRateProduct']);

/////////PR report//////////

Route::get('pr_report/index',['as' => 'pr_report.index',
	'uses' => 'ReportController@prIndex']);

Route::get('pr_closed/show',['as' => 'pr_closed.show',
	'uses' => 'ReportController@prClosed']);

Route::get('pr_generated/show',['as' => 'pr_generated.show',
	'uses' => 'ReportController@prGenerated']);

Route::post('pr_report/show',['as' => 'pr_report.show',
	'uses' => 'ReportController@prReport']);