<?php
//purchase Request Sea

Route::get('sea_purchase_request/index',['as' => 'sea.purchase.request.index',
  'uses' => 'PurchaseRequestSeaController@index']);

Route::get('sea_purchase_request/create',['as' => 'sea.purchase.request.create',
  'uses' => 'PurchaseRequestSeaController@create']);

Route::get('pr/mrapproval/sea/list/{id}',['as' => 'pr.mrapproval.sea.list',
  'uses' => 'PurchaseRequestSeaController@purchaseMrList']);

Route::get('pr/{id}/sea/edit', ['as' => 'pr.sea.edit',
   'uses' => 'PurchaseRequestSeaController@edit']);

Route::get('load/supplier/list/sea', ['as' => 'load.supplier.list.sea',
   'uses' => 'PurchaseRequestSeaController@supplierPriceList']);
Route::get('get/sea/purchase/details','PurchaseRequestSeaController@getPrdetail');
Route::get('update/sea/purchase/sup','PurchaseRequestSeaController@updateSupPr');

Route::get('load/supplier/price/list/sea','PurchaseRequestSeaController@priceList');
Route::get('delete/pr/sea/product','PurchaseRequestSeaController@deletePrSea');

Route::get('pr/mr/list/sea/{id}', ['as' => 'pr.mr.list.sea',
   'uses' => 'PurchaseRequestSeaController@prMrListSea']);

Route::get('pr/generation/store/{id}', ['as' => 'pr.generation.store',
   'uses' => 'PurchaseRequestSeaController@generatePr']);

Route::get('delete/purchase/request/sea','PurchaseRequestSeaController@deleteSeaPurchase');

// supplier wise Pr

Route::get('supplier/pr/sea/index', ['as' => 'supplier.pr.sea.index',
   'uses' => 'SupplierPrSeaController@index']);

Route::get('supplier/pr/sea/edit/{id}', ['as' => 'supplier.pr.sea.edit',
   'uses' => 'SupplierPrSeaController@editList']);

Route::get('supplier_products/sea','SupplierPrSeaController@searchSeaPdt');

Route::get('supplier_sea_pr_product_cancel','SupplierPrSeaController@pdtSeaCancel');

Route::get('supplier_sea_pr_units','SupplierPrSeaController@productSeaUnit');

Route::get('sea/pdt/get/weight','SupplierPrSeaController@getSeaWeight');

Route::post('supplier/wise/pr/sea/save',['as' => 'supplier.wise.pr.sea.save',
      'uses' => 'SupplierPrSeaController@saveSeaProduct']);

Route::get('supplier/sea/approve/pr' , 'SupplierPrSeaController@approvePrSea');

Route::get('supplier/sea/cancel/pr' , 'SupplierPrSeaController@cancelPrSea');

Route::get('supplier/pr/prd/list/{id}', ['as' => 'supplier.pr.prd.list',
   'uses' => 'SupplierPrSeaController@pdtList']);

Route::get('supplier/po/sea/create', ['as' => 'supplier.po.sea.create',
   'uses' => 'SupplierPrSeaController@createSeaPo']);

// po consignment

Route::get('po/sea/index', ['as' => 'po.sea.index',
   'uses' => 'PurchaseOrderSeaController@index']);

Route::get('po/sea/print/{id}', ['as' => 'po.sea.print',
   'uses' => 'PurchaseOrderSeaController@printPo']);

Route::get('po/sea/consignment/{id}', ['as' => 'po.sea.consignment',
   'uses' => 'PurchaseOrderSeaController@addSeaConsignment']);

Route::get('po/sea/insert/consignment','PurchaseOrderSeaController@insertSeaConsignment');

Route::get('po/get/products/sea','PurchaseOrderSeaController@getProductsSea');


Route::post('consignment/map/sea/products',['as' => 'consignment.map.sea.products',
     'uses' => 'PurchaseOrderSeaController@mapConsProductsSea']);

Route::get('delete/consignment/sea','PurchaseOrderSeaController@deleteConsignmentSea');