<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class GoodsReturnEntry extends Model
{

    protected $table = 'goods_rtn_entry';

    public $timestamps = true;
    
    protected $fillable = [
        'mr_id','mr_id','entry_no','entered_by','customer_id','return_date','location_id','status','approved_date','approved_by'
    ];

    public function customer()
    {
    	return $this->belongsTo('App\Customer','customer_id');
    }

    public function entered()
    {
    	return $this->belongsTo('App\User','entered_by');
    }
    
}
