<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\CategoryMaster;
use Auth;

class CategoryMasterController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index()
    {
    	$categories = CategoryMaster::orderBy('category')->get();

    	return view('category/index',compact('categories'));
    }

    public function store(Request $request)
    {
       if($request->get('category_id') == NULL)
       {
          $category = CategoryMaster::where('category','=',$request->get('category'))->count();

          if($category > 0)
          {
          	return redirect('category/master/index')->with('exist','true'); 
          }
          $seq = CategoryMaster::max('sequence');
         
       	  CategoryMaster::create(array( 'category' => strtoupper($request->get('category')),
                                        'sequence' => $seq + 1));

       	  return redirect('category/master/index')->with('save','true');
       }
       else
       {
       	  CategoryMaster::where('id','=',$request->get('category_id'))
       	                ->update(array('category' => strtoupper($request->get('category'))));

       	  return redirect('category/master/index')->with('Update','true');              
           
       }
  
    }

    public function edit(Request $request)
    {
    	$category = CategoryMaster::where('id','=',$request->get('option'))->get();

    	return $category;
    }
}
