<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\GroupMaster;
use Auth;

class GroupMasterController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
	
	public function create()
	{	
		$tag = GroupMaster::all();
		return view('group_master/create',compact('tag'));
	}

	public function store(Request $request)
	{	
		
		
		if($request->get('tag_id') != ''){
			$update = GroupMaster::where('id','=',$request->get('tag_id'))
								->update([
											'name' => strtoupper(trim($request->get('tag'))),
											'is_active' => ($request->get('active')) ? 'Y' : 'N'
										]);
			return redirect()->route('group_master.index')->with(['update' => true]);
		}
		else{
			$exist = GroupMaster::where('name','=',strtoupper(trim($request->get('tag'))))->count();
			
			if($exist != 0){
				return redirect()->route('group_master.index')->with(['exist' => true]);
			}

			$insert = GroupMaster::create([
											'name' => strtoupper(trim($request->get('tag'))),
											'is_active' => ($request->get('active')) ? 'Y' : 'N'
										]);
			return redirect()->route('group_master.index')->with(['message' => true]);
		}
		
	}

	public function edit(Request $request)
	{
		$id = $request->get('option');
		$tag = GroupMaster::find($id);

		return $tag;
	}
}