<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MRreceivedproduct extends Model
{
    protected $table = 'mr_received_products';
    
    protected $fillable = [
        'material_requisition_id','product_id','rec_qty','unit_id','grade_id','price','req_qty','req_unit_id','req_grade_id','apr_qty','apr_unit_id','apr_grade_id','remarks'
    ];

    public $timestamps = true;

    public function product()
    {
    	return $this->belongsTo('App\Product','product_id');
    }

    public function unit()
    {
    	return $this->belongsTo('App\UnitMeasurement','unit_id');
    }

    public function grade()
    {
    	return $this->belongsTo('App\GradeMaster','grade_id');
    }

    public function materialRequest()
    {
    	return $this->belongsTo('App\MaterialRequisition','material_requisition_id');
    }

    
}
