<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class NotificationType extends Model
{

    protected $table = 'notification_types';
    
    protected $fillable = [
        'notification_id','customer_type_id'
    ];

    public $timestamps = false;
    
    public function notification()
    {
    	return $this->belongsTo('App\Notification','notification_id');
    }

    public function customer()
    {
    	return $this->belongsTo('App\CustomerType','customer_type_id');
    }
}
