<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class POSea extends Model
{
    protected $table = 'po_sea';
    
    public $timestamps = false;
    protected $fillable = [
        'pr_sea_id','po_no','supplier_id','entered_by','po_date'
    ];

    public function prSea()
    {
    	return $this->belongsTo('App\PurchaseRequestSea','pr_sea_id');
    }

    public function enteredBy()
    {
    	return $this->belongsTo('App\User','entered_by');
    }

    public function supplier()
    {
    	return $this->belongsTo('App\Supplier','supplier_id');
    }
}
