<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PurchaseRequestSea extends Model
{

    protected $table = 'purchase_request_sea';
    
    protected $fillable = [
        'request_no','request_date','entered_by','status'
    ];

    public $timestamps = false;

    public function prProduct()
    {
    	return $this->hasOne('App\PRproduct');
    }

    public function enteredBy()
    {
    	return $this->belongsTo('App\User','entered_by');
    }

   
  
}
