<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class SubGroup extends Model
{
    protected $table = 'sub_groups';
    
    protected $fillable = [
        'group_master_id','sub_group'
    ];
  
   public $timestamps = false;

   public function groupMaster()
    {
        return $this->belongsTo('App\GroupMaster', 'group_master_id');
    }

    public function products()
    {
    	return $this->hasMany('App\Product','sub_group_id');
    }
   
}
