<!DOCTYPE html>
<html >
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  <style type="text/css">
      p {
          display: inline-block;
      }
  </style>
</head>
<body >
<div class="hidden-print text-center" style="float:left; margin:20px" >
        <a  class="btn btn-danger" href="{{URL::previous()}}">Back</a>
    </div>
<br><br><br>
  <!-- Main content -->
   <section class="invoice">
      <!-- title row -->
      <div class="row">
        <div class="col-xs-12">
          <h2 class="page-header">
            <i class=""></i>ORDER HISTORY REPORT
            <small class="pull-right">Date Range: {{date('d-m-Y',strtotime($from_date))}} - {{date('d-m-Y',strtotime($to_date))}}</small>
          </h2>
        </div>
        <!-- /.col -->
      </div>
      <!-- info row -->
      
    
      
        <!-- /.col -->
      </div>
     <!--  page-break-after: always; -->
      <!-- Table row -->
      <div class="row" style="">
        <div class="col-xs-12 table-responsive">
          <table class="table">
            <tbody>
            <?php $j = 1; $c= 1; $mr_no = '';?>
            @foreach($order_products as $li)
            @if($mr_no != $li->prefix.$li->request_no)
            <tr>
              <th>{{$j++}}</th>
              <th><p>MR No   : {{$li->prefix}}{{$li->request_no}}</p>,<p class="pull-right">Created:{{date('d-m-Y H:i:s', strtotime($li->created_at))}}; Updated:{{date('d-m-Y H:i:s', strtotime($li->updated_at))}}</p></th>
              <th>Date   : {{date('d-m-Y',strtotime($li->request_date))}}</th>
              <th>Product Name</th>
              <th>Unit</th>
              <th>Price</th>
              <th>User</th>
              <th></th>
            </tr>
              <?php $c = 1; $mr_no = $li->prefix.$li->request_no;?>
            @endif
            <tr>
              <td>#</td>
              <td>{{$li->name}}</td>
              <td>{{$li->unit ?? ''}}</td>  
              <td>{{$li->grade}}</td>
              <td>{{$li->qty}}</td>
              <td>{{$li->total_amount}}</td>
              <td>{{$li->uname}}</td>
              <td>@if(is_null($li->mr_product_id)) EDIT @elseif(!is_null($li->mrproduct)) EDIT @else DELETE @endif</td>
            </tr>
            @endforeach
            </tbody>
          </table>
          
        </div>
        
        <!-- /.col -->
      </div>
      <!-- /.row -->
      
      

      <!-- this row will not appear when printing -->
      <div class="row no-print">
        <div class="col-xs-12">
          <a  target="_blank"  class="btn btn-primary pull-right" onclick="window.print();"><i class="fa fa-print"></i> Print</a>
         <!-- <a href="{{url('ProductsReport.csv')}}" class="btn btn-success"><i class="fa fa-arrow-down"></i>Download Report</a> -->
        </div>
      </div>
    </section>
    <!-- /.content -->
  <!-- /.content -->
</div>
<!-- ./wrapper -->
</body>
</html>
