<aside class="main-sidebar">
  <!-- sidebar: style can be found in sidebar.less -->
  <section class="sidebar">
    <!-- Sidebar user panel -->
    <div class="user-panel">
      <div class="pull-left image">
      
      @if(Auth::user()->name == 'admin')
        <img src="{{asset('dist/img/admin.png')}}" class="img-circle" alt="User Image">
        @else
        <img src="{{asset('dist/img/user.png')}}" class="img-circle" alt="User Image">
      @endif
      </div>
      <div class="pull-left info">
        <p>{{ Auth::user()->name }}</p>
        <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
      </div>
    </div>
    <!-- search form -->
    
    <!-- /.search form -->
    <!-- sidebar menu: : style can be found in sidebar.less -->
    <ul class="sidebar-menu" data-widget="tree">
      <li class="header">Dashboard</li>


@if(Auth::user()->userpermission(2) || Auth::user()->userpermission(15))
            <li class="treeview">
        <a href="#">
          <i class="fa fa-dashboard"></i> <span>Masters</span>
          <span class="pull-right-container">
            <i class="fa fa-angle-left pull-right"></i>
          </span>
        </a>
        <ul class="treeview-menu">
          @if(Auth::user()->userpermission(2))
          <li><a href="{{route('customer_type.create')}}"><i class="fa fa-circle-o"></i> Customer Group</a></li>
          <li><a href="{{route('location.master')}}"><i class="fa fa-circle-o"></i> Location Master </a></li>
          <li><a href="{{route('unit_master.create')}}"><i class="fa fa-circle-o"></i> Unit </a></li>
          <li><a href="{{route('standard_master.index')}}"><i class="fa fa-circle-o"></i>Grade</a></li>
          <li><a href="{{route('grade_master.create')}}"><i class="fa fa-circle-o"></i>Packing</a></li>
          <li><a href="{{route('category.master.index')}}"><i class="fa fa-circle-o"></i>Category</a></li>
          <li><a href="{{route('group_master.index')}}"><i class="fa fa-circle-o"></i> Group</a></li>
          <li><a href="{{route('subgroup.index')}}"><i class="fa fa-circle-o"></i> Sub Group</a></li>
          <li><a href="{{route('tag_master.index')}}"><i class="fa fa-circle-o"></i> Tag Master</a></li>
          @endif
          @if(Auth::user()->userpermission(15))
          <li><a href="{{route('products.index')}}"><i class="fa fa-circle-o"></i> Product Master</a></li>
          @endif
          @if(Auth::user()->userpermission(2))
          <li><a href="{{route('manage.config.index')}}"><i class="fa fa-circle-o"></i> Configuration</a></li>
         @endif
         </ul>
        </li>
     @endif
     @if(Auth::user()->userpermission(1))
      <li class="treeview">
        <a href="#">
          <i class="fa fa-dashboard"></i> <span>Admin</span>
          <span class="pull-right-container">
            <i class="fa fa-angle-left pull-right"></i>
          </span>
        </a>
        <ul class="treeview-menu">

          <li><a href="{{route('role.index')}}"><i class="fa fa-circle-o"></i> Manage Role</a></li>
          <li><a href="{{route('user.index')}}"><i class="fa fa-circle-o"></i> Manage User</a></li>

          <li><a href="{{route('customer.list')}}"><i class="fa fa-circle-o"></i> Customer Master</a></li>
           <li><a href="{{route('notification.index')}}"><i class="fa fa-circle-o"></i>Notification Manager</a></li>
          <li><a href="{{route('mr.report.index')}}"><i class="fa fa-circle-o"></i> MR List </a></li>
         </ul>
        </li>
      @endif
  @if(Auth::user()->userpermission(4) || Auth::user()->userpermission(8)|| Auth::user()->userpermission(5)|| Auth::user()->userpermission(13)|| Auth::user()->userpermission(14))
         <li class="treeview">
        <a href="#">
          <i class="fa fa-dashboard"></i> <span>Order Module</span>
          <span class="pull-right-container">
            <i class="fa fa-angle-left pull-right"></i>
          </span>
        </a>
        <ul class="treeview-menu">


         <li><a href="{{route('material_request.list')}}"><i class="fa fa-circle-o"></i> Order List</a></li>
         <li><a href="{{route('cash.sales.order.list')}}"><i class="fa fa-circle-o"></i> Cash Sales Order List</a></li>

         <li><a href="{{route('credit.sales.order.list')}}"><i class="fa fa-circle-o"></i> Credit Sales Order List</a></li>
         <li><a href="{{route('customer.sales.order.list')}}"><i class="fa fa-circle-o"></i> Customer Pre-Order List</a></li>
         <li><a href="{{route('pos.credit.sale.orders')}}?print=0"><i class="fa fa-circle-o"></i> CREDIT ORDERS List</a></li>
         <li><a href="{{route('pos.cash.sale.orders')}}?print=0&user_id="><i class="fa fa-circle-o"></i> CASH ORDERS List</a></li>
         </ul>
        </li>
@endif

          @if(Auth::user()->userpermission(7))
          <li><a href="{{route('notification.show')}}"><i class="fa fa-bell"></i> Notifications </a></li>
           @endif

  @if(Auth::user()->userpermission(10))
      <li class="treeview">
        <a href="#">
          <i class="fa fa-dashboard"></i> <span>Reports</span>
          <span class="pull-right-container">
            <i class="fa fa-angle-left pull-right"></i>
          </span>
        </a>
        <ul class="treeview-menu">
        
         <li><a href="{{route('cash.credit.report.index')}}"><i class="fa fa-circle-o"></i>Order Report</a></li>
         <li><a href="{{route('material.request.report.index')}}"><i class="fa fa-circle-o"></i> Location Wise Product Report </a></li>
         <li><a href="{{route('mr.customerwise.report.index')}}"><i class="fa fa-circle-o"></i>MR Customer Wise Report</a></li>
         <li><a href="{{route('order.history.report')}}"><i class="fa fa-circle-o"></i>MR History Report</a></li>
         </ul>
        </li>
@endif
      </ul>
  </section>
  <!-- /.sidebar -->
</aside>
