<!DOCTYPE html>
<html>
<head>
  @include('title')
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- bootstrap datepicker -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css')}}">
  <!-- Select2 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/select2/dist/css/select2.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<script type="text/javascript">
  var  customer_products = {};
  var grades = {};
  var units = {};
</script>


<body class="hold-transition skin-blue sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <div id="preload" style="opacity:1;background:rgba(0,0,0,0.3);position: fixed;top:0;right:0;bottom:0;left:0;z-index:1050; display: block;">
    <div class="box box-danger">
      <div class="box-header">
        <h3 class="box-title">Page Loading...</h3>
      </div>
      <div class="box-body">
        Please Wait!
      </div>
      <!-- /.box-body -->
      <!-- Loading (remove the following to stop the loading)-->
      <div class="overlay">
        <i class="fa fa-refresh fa-spin"></i>
      </div>
      <!-- end loading -->
    </div>
    <!-- /.box -->
  </div>
  @include('headertag')
  <!-- =============================================== -->

  <!-- Left side column. contains the sidebar -->
  @include('leftside')

  <!-- =============================================== -->
  <div class="modal fade" id="modal-info">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title">Add Product</h4>
        </div>
        <div class="modal-body">
          <form role="form" action="" id="add_prdt_form" method="GET">
                <input type="hidden" name="mr_sea_id" id="mr_sea_id" value="{{$mr->id}}">
                <div class="form-group">
                  <label class="col-sm-2 control-label">Product<i style="color: red">*</i></label>
                    <div class="col-sm-8">
                      <select class="form-control select2" name="product" id="product" required>
                      <option>-- select --</option>
                      @foreach($prd as $product)
                      <option value="{{$product->id}}">{{$product->name}} - {{$product->code}}</option>
                      @endforeach
                      </select>
                    </div>
                </div>
                <br>
                <br>
                <br>
                <div class="form-group">
                <label class="col-sm-2 control-label">Packing</label>

                <div class="col-sm-9">
                  <select class="form-control" name="grade" id="grade" >
                  <option value="">-- select --</option>
                  
                </select>
                </div>
              </div>
              <br>
              <br>
              <div class="form-group">
                <label class="col-sm-2 control-label">Unit<i style="color: red">*</i></label>

                <div class="col-sm-9">
                  <select class="form-control" name="unit" id="unit" required>
                  <option value="">-- select --</option>
                  
                </select>
                </div>
              </div>
              <br>
              <br>
              <div class="form-group" id="pallet_div" style="display: none;">
                <label class="col-sm-2 control-label">Pallet</label>
                <div class="col-sm-3">
                  <input type="number" name="pallet_qty" id="pallet_qty" class="form-control" placeholder="Enter">
                </div>
                <label class="col-sm-2 control-label">CTN/Pallet</label>
                <div class="col-sm-3">
                  <input type="number" name="ctn_per_pallet" id="ctn_per_pallet" class="form-control" placeholder="Enter">
                </div>
              
              <br>
              <br></div>
              <div class="form-group">
                <label class="col-sm-2 control-label">Quantity<i style="color: red">*</i></label>
                <div class="col-sm-9">
                  <input type="number" name="qty" id="qty" id="qty" class="form-control" placeholder="Enter" required>
                </div>
              </div>
              <br>
              <br>
              <div class="form-group">
                <label class="col-sm-2 control-label">Schedule<i style="color: red">*</i></label>

                <div class="col-sm-9">
                  <input type="number" min="1" max="30" name="schedule" id="schedule" class="form-control" required="required">
                </div>
              </div>
              <br>
              <br>
              <div class="form-group">
                <label class="col-sm-2 control-label">Req M'th<i style="color: red">*</i></label>

                <div class="col-sm-9">
                  <select class="form-control" name="req_mnth" id="req_mnth" required>
                    <option value="">-- Select Month --</option>
                    @foreach($months as $month)
                    <option value="{{$month}}">{{date('M-y', strtotime($month))}}</option>
                    @endforeach
                  </select>
                </div>
              </div>
              <br>
              <br>
              
            <!-- text input -->
            <div class="col-sm-5">
              
              
              <input type="hidden" name="current_date" id="current_date" date="{{date('01-M-Y')}}" value="{{date('M-y')}}">
              <div class="form-group col-sm-9 col-sm-push-7">
                <button type="button" id="close_new" class="btn pull-left" data-dismiss="modal">Close</button>
                <button type="submit" id="add" class="btn btn-primary pull-right">Add</button>
              </div>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-outline pull-left" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-outline">Save changes</button>
        </div>
      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>
  <!-- /.modal -->

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        {{strtoupper($mr->customer->name)}}
        <br>
        @if($mr->location)
        {{$mr->location->location}}
        @endif
        <small>Material Request Sea</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{route('sea.mrapproval.index')}}">Material Request Sea</a></li>
        <li class="active">Edit</li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">

      <form action="{{route('sea.mr.approved',$mr->id)}}" method="POST" id="aprForm">
      <input type="hidden" name="customer_id" id="customer_id" value="{{$mr->customer_id}}">

      <!-- Default box -->
      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">PRODUCT LIST</h3>
          <div class="box-tools pull-right">
            <button type="button" class="btn btn-info" data-toggle="modal" data-target="#modal-info">Add Product</button>
          </div>
        </div>
        <div class="box-body">
          <div class="row">
            <div class="col-xs-12">
              <div class="box">
                
                
                <div class="box-body table-responsive no-padding">
                  <table class="table table-hover edit_table">
                    <tr>
                      <th>SlNo</th>
                      <th>Product</th>
                      <th>Unit</th>
                      <th>Packing</th>
                      <th>Approved Qty</th>
                      <th>No.of Schd</th>
                      <th><b><i>Sched.</i></b></th>
                      <th>Schedule</th>
                      <th>Req. Qty</th>
                      <th>Pallets</th>
                      <th>Delete</th>
                      <th>Upcoming</th>
                    </tr>
                    <tbody id="product_table">
                    @foreach($mr_products as $products)
                    <tr>
                      <td></td>
                      <td>
                      {{$products->product->name}}
                      <input type="hidden" value="{{$products->product_id}}" name="product{{$products->id}}">
                      </td>
                      <td>
                      <select class="unit form-control" pid="{{$products->product_id}}" name="unit{{$products->id}}" style="width: 100%;" required="required">
                      @if($products->unit_id != -1)
                      <option value="{{$products->unit_id}}" selected="selected">{{$products->unit->unit}}</option>
                      @endif
                      </select>
                      </td>
                      <td>
                      
                      @if($products->grade)
                      <select class="grade form-control" pid="{{$products->product_id}}" uid="{{$products->unit_id}}" name="grade{{$products->id}}" style="width: 100%;" >
                      <option value="{{$products->grade_id}}" selected="selected">{{$products->grade->grade}}</option>
                      </select>
                      @else
                      @endif
                      
                      </td>
                      <td><input class="qty" type="number" value="{{$products->qty}}" name="qty{{$products->id}}" required="required"></td>
                      <td>{{$products->schedule_id}}</td>
                      <td><button type="button" class="btn btn-info re_schd_crt" id="{{$products->product_id}}" mrid="{{$mr->id}}" grdid="{{$products->grade_id}}" data-toggle="modal" data-target="#modal-default-recalc">Re.Calc.</button></td>
                      <td><button type="button" class="btn btn-info schd_crt" id="{{$products->product_id}}" mrid="{{$mr->id}}" grdid="{{$products->grade_id}}" data-toggle="modal" data-target="#modal-default">{{date('M-Y', strtotime($products->requested_month))}}</button></td>
                      <td>{{$products->qty}}</td>
                      <td>{{$products->palletData($products->product_id,$products->grade_id)->ctn_per_pallet or ''}}</td>
                      <td>
                      <button class="btn-danger g_delete" id="{{$products->id}}"><i class="fa fa-fw fa-trash"></i></button>&nbsp;
                      <!-- <button class="btn-warning r_replace" id="{{$products->id}}"><i class="fa fa-fw fa-exchange"></i></button> -->
                      </td>
                      <td><button type="button" class="btn btn-info schd_up" id="{{$products->product_id}}" mrid="{{$mr->id}}" grdid="{{$products->grade_id}}" data-toggle="modal" data-target="#modal-default1">Upcoming</button></td>
                    </tr>
                    @endforeach
                    </tbody>
                  </table>

                  <!-- Excel -->
                  <div class="tbl" style="display: none;">
                    <table id="table1" class="table table-hover">
                      <tr>
                        <td><b>SlNo</b></td>
                        <td><b>Product</b></td>
                        <td><b>Unit</b></td>
                        <td><b>Packing</b></td>
                        <td><b>Qty</b></td>
                      </tr>
                      <tbody id="product_table">
                        <?php $c=1; ?>
                      @foreach($mr_products as $products)
                      <tr>
                        <td>{{$c++}}</td>
                        <td>{{$products->product->name}}</td>
                        <td>
                        @if($products->unit_id != -1){{$products->unit->unit}}
                        @endif
                        </td>
                        <td>
                        @if($products->grade){{$products->grade->grade}} @endif 
                        </td>
                        <td>{{$products->qty}}</td>
                      </tr>
                      @endforeach
                      </tbody>
                    </table>
                  </div>
                </div>
                <!-- /.box-body -->
              </div>
              <!-- /.box -->
            </div>
          </div>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
          <div class="box-tools pull-left">
            <input type="submit" class="btn btn-success" name="" id="approve" title="Save" value="Approve" style="display:none;">
            <input type="submit" class="btn btn-warning" name="" id="draft" title="Draft" value="Draft">
          </div>
          <div class="box-tools pull-right">
            <button type="button" class="export_excel btn btn-info">Download</button> 
            <button type="button" class="btn btn-warning add_button" style="display: none;"  title="Add">
              ADD <i class="fa fa-plus"></i></button>
          </div>
        </div>
        <!-- /.box-footer-->
      </div>
      <!-- /.box -->
      </form>

      <div class="box">
        <div class="box-header">
          <h3 class="box-title">Remarks: {{strtoupper($mr->remarks)}}</h3>
        </div>
      </div>
      
      <div class="box">
        <div class="box-header">
          <h3 class="box-title">Comments</h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body no-padding">
          
        </div>
        <!-- /.box-body -->
        <div class="box-footer box-comments">
        @foreach($mr_sea_cmts as $mr_sea)
          <div class="box-comment">
            <!-- User image -->
            <div class="comment-text">
                  <span class="username"><i class="fa fa-comments bg-yellow"></i>
                    {{strtoupper($mr_sea->commentUser->name)}}
                    <span class="text-muted pull-right">{{date('d-m-Y H:i', strtotime($mr_sea->created_at))}}</span>
                  </span><!-- /.username -->
              {{strtoupper($mr_sea->comment)}}
            </div>
            <!-- /.comment-text -->
          </div>
          <!-- /.box-comment -->
        @endforeach
        </div>
        <!-- /.box-footer -->
        <div class="box-footer">
          <form action="#" id="comment_form" method="post">
            <!-- .img-push is used to add margin to elements next to floating images -->
            <input type="hidden" name="mr_id" id="req_id" value="{{$mr->id}}">
            <div class="img-push">
              <input type="text" id="mr_sea_comment" autocomplete="off" name="mr_sea_comment" class="form-control input-sm" placeholder="Press enter to post comment">
            </div>
          </form>
        </div>
        <!-- /.box-footer -->
      </div>
      <!-- /.box -->
      

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <div class="modal fade" id="modal-default">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title">Product Schedule</h4>
        </div>
        <form action="" id="scheduled_list" method="POST">
        <div class="modal-body">
          <table class="table table-bordered schedule_table">
            <thead>
              <tr>
                <td>#</td>
                <td>MR</td>
                <td>Schedule</td>
                <td>Unit</td>
                <td>Grade</td>
                <td>Qty</td>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default pull-left close_sl" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-info pull-right">Save</button>
        </div>
        </form>
      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>
  <!-- /.modal -->

  <div class="modal fade" id="modal-default-recalc">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title">New Schedule</h4>
        </div>
        
        <div class="modal-body">
          <table class="table table-bordered new_schedule">
            <thead>
              <tr>
                <td>#</td>
                <td>MR</td>
                <td>Schedule</td>
                <td>Unit</td>
                <td>Grade</td>
                <td>Qty</td>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default pull-left close_sl" data-dismiss="modal">Close</button>
          <!-- <button type="submit" class="btn btn-info pull-right">Save</button> -->
        </div>
        
      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>
  <!-- /.modal -->

  <div class="modal fade" id="modal-default1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title">Upcoming Schedules</h4>
        </div>
        <div class="modal-body">
          <table class="table table-bordered upcoming">
            <thead>
              <tr>
                <td>#</td>
                <td>MR</td>
                <td>Schedule</td>
                <td>Unit</td>
                <td>Grade</td>
                <td>Qty</td>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default pull-right" data-dismiss="modal">Close</button>
        </div>
      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>
  <!-- /.modal -->
  

  @include('footertag')

  <!-- Control Sidebar -->
  
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<!-- jQuery 3 -->
<script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
<!-- Bootstrap 3.3.7 -->
<script src="{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
<!-- bootstrap datepicker -->
<script src="{{asset('lte/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js')}}"></script>
<!-- Select2 -->
<script src="{{asset('lte/bower_components/select2/dist/js/select2.full.min.js')}}"></script>
<!-- SlimScroll -->
<script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
<!-- FastClick -->
<script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
<!-- AdminLTE App -->
<script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{asset('lte/dist/js/demo.js')}}"></script>

<script>

  $(document).ready(function(){
    $(".export_excel").click(function(){
      $('.tbl').show();
      $('#table1').tableExport({
          type: 'excel',
          escape: 'false',
          filename: 'productlist.xls',
      });
      $('.tbl').hide();

    });
  });


  $(function () {
    $('.select2').select2({
      width: 400 
    })
  })
  //Date picker
  $('.datepicker').datepicker({
    autoclose: true,
    format: 'dd-M-yyyy',
  })

  jQuery("#product").change(function()
  {
      var product = $(this).val();
      $("#pallet_qty").val('');
      $("#ctn_per_pallet").val('');
      $("#pallet_div").hide();
      $("#qty").val('');
      $.get("{{url('mr_unit/show')}}",
          {option: product},
          function(data){
            console.log(data);
            $("#unit").empty();
            $("#grade").empty();
            $("#unit").append("<option value=''>"+"-- select --"+"</option>");
            $.each(data[0], function(index,element){
                $("#unit").append("<option value='"+ element.id +"'>" +element.unit+ "</option>");
            });

            $("#grade").append("<option value=''>"+"-- select --"+"</option>");
            $.each(data[1], function(index,element){
                $("#grade").append("<option value='"+ element.id +"'>" +element.grade+ "</option>");
            });
          });
  });

  jQuery("#unit").change(function()
  {
    var unit_txt = $("#unit option:selected").text();
    
    if(unit_txt == "CTN") {
      var product_id = $("#product").val();
      var grade_id = $("#grade").val();
      $.get("{{url('ctn/pallet/qty')}}", 
        {product: product_id, grade: grade_id},
        function(pallet){
          if(pallet) {
            $("#pallet_qty").val(pallet.pallet_total);
            $("#ctn_per_pallet").val(pallet.ctn_per_pallet);
            $("#qty").val(pallet.pallet_total*pallet.ctn_per_pallet);
          } else {
            $("#pallet_qty").val('');
            $("#ctn_per_pallet").val('');
            $("#pallet_div").hide();
            $("#qty").val('');
          }
      });
      $("#pallet_div").show();
    } else {
      $("#pallet_qty").val('');
      $("#ctn_per_pallet").val('');
      $("#pallet_div").hide();
      $("#qty").val('');
    }
  });

  jQuery("#grade").change(function()
  {
    var grade_id = $(this).val();
    var unit_txt = $("#unit option:selected").text();
    var product_id = $("#product").val();
    var grade_id = $("#grade").val();
    
    if(unit_txt == "CTN") {
      $.get("{{url('ctn/pallet/qty')}}", 
        {product: product_id, grade: grade_id},
        function(pallet){
          if(pallet) {
            $("#pallet_qty").val(pallet.pallet_total);
            $("#ctn_per_pallet").val(pallet.ctn_per_pallet);
            $("#qty").val(pallet.pallet_total*pallet.ctn_per_pallet);
          } else {
            $("#pallet_qty").val('');
            $("#ctn_per_pallet").val('');
            $("#pallet_div").hide();
            $("#qty").val('');
          }
      });
      $("#pallet_div").show();
    } else {
      $("#pallet_qty").val('');
      $("#ctn_per_pallet").val('');
      $("#pallet_div").hide();
      $("#qty").val('');
    }
  });

  jQuery("#pallet_qty, #ctn_per_pallet").on('change',function(){
    var pqty = $("#pallet_qty").val();
    var perp = $("#ctn_per_pallet").val();
    if(pqty != '' && perp != '') {
      var req_qty = parseInt(pqty) * parseInt(perp);
      $("#qty").val(req_qty);
    }
  });

  jQuery("#pallet_qty, #ctn_per_pallet").on('change',function(){
    var pqty = $("#pallet_qty").val();
    var perp = $("#ctn_per_pallet").val();
    if(pqty != '' && perp != '') {
      var req_qty = parseInt(pqty) * parseInt(perp);
      $("#qty").val(req_qty);
    }
  });


  $(document).ready(function () {
     $("#preload").show();
     $("input[type=submit]").hide();
    $.get("{{url('customer_products')}}",{customer_id: $("#customer_id").val()}, function(data){

      customer_products = jQuery.parseJSON(data[0]);
      grades = jQuery.parseJSON(data[1]);
      units = jQuery.parseJSON(data[2]);

      
      
      $(".unit").filter(function(){
        var ut = null;
        ut = this;
        var pid = $(this).attr('pid');
        $.each(units,function(index,elements){
          if(elements.product_id == pid){
            $(ut).append("<option value='"+elements.id+"'>"+elements.unit+"</option>");
          }
        });
      });

      $(".grade").filter(function(){
        var grd = null;
        grd = this;
        var pid = $(this).attr('pid');
        $(grd).append("<option value=''>---select---</option>");
        $.each(grades,function(index,elements){
          if(elements.product_id == pid){
            $(grd).append("<option value='"+elements.id+"'>"+elements.grade+"</option>");
          }
        });
      });
      var i = 1;
      $('.edit_table td:first-child').each(function() {
          $(this).text(i); 
          i++;
      });
      $("#preload").hide();
      $("input[type=submit]").show();
    });
    
    $(document).on("change",".product", function()
    {
      $(this).removeAttr("selected");
      var chpr = this;
      $(this).closest('td').nextAll("td").find("select").empty();
      var pid = $(this).val();
      $.get("{{url('customer_units')}}", {product_id: $(this).val()}, function(data){
          units = jQuery.parseJSON(data[1]);
          grades = jQuery.parseJSON(data[0]); 

          $(chpr).closest("tr").find("td:nth-child(3) .unit").attr("pid",pid);
          $(chpr).closest("tr").find("td:nth-child(4) .grade").attr("pid",pid);
          $.each(units, function(index,elements){
            $(chpr).closest("tr").find("td:nth-child(3) .unit").append("<option value='"+elements.id+"'>"+elements.unit+"</option>");
          });
          $(chpr).closest("tr").find("td:nth-child(4) .grade").append("<option value=''>---select---</option>");
          $.each(grades, function(index,elements){
            $(chpr).closest("tr").find("td:nth-child(4) .grade").append("<option value='"+elements.id+"'>"+elements.grade+"</option>");
          });
      });
      
    }); 

    $(document).on("change",".unit", function()
    {
      var unt = this;
      $(this).closest('td').next("td").find("select").empty();
      var uid = $(this).val();
      var pid = $(this).attr("pid");
      $(unt).closest("tr").find("td:nth-child(4) .grade").attr("pid",pid);
      $(unt).closest("tr").find("td:nth-child(4) .grade").attr("uid",uid);

      $.get("{{url('customer_grades')}}",{product_id: pid}, function(data){
        grades = jQuery.parseJSON(data);
        $(unt).closest("tr").find("td:nth-child(4) .grade").append("<option value=''>---select---</option>");
        $.each(grades, function(index,elements){
            $(unt).closest("tr").find("td:nth-child(4) .grade").append("<option value='"+elements.id+"'>"+elements.grade+"</option>");
        });

      });
    });

    // delete g_delete
    $(document).on("click",".g_delete", function() {
      if(confirm("Do you want to delete this item?") == true){
        if($(this).attr("id")) {
          $.post("{{url('sea_mr_product_detele')}}",{mpid: $(this).attr("id")}, function(data){});
        }
        $(this).closest("tr").remove();
        
        var i = 1;
        $('.edit_table td:first-child').each(function() {
            $(this).text(i); 
            i++;
        });
      } else {
        event.preventDefault();
      }  

    });

    //replace r_replace
    $(document).on("click",".r_replace", function() {
      if(confirm("Do you want to replace this item?") == true){
        if($(this).attr("id")) {
          $.post("{{url('sea_mr_product_detele')}}",{mpid: $(this).attr("id")}, function(data){});
        }
        $(this).closest("tr").after("<tr><td></td><td><select class='product form-control select2' name='products[]' style='width:100%;' required='required'><option value='' selected>---- select -----</option></select></td><td><select class='unit form-control' name='units[]' style='width:100%;' required='required'><option value='' selected>---- select -----</option></select></td><td><select class='grade form-control' name='grades[]' style='width:100%;' ><option value='' selected>---- select -----</option></select></td><td><input class='qty' type='number' value='' name='qtys[]' required='required'></td><td></td><td><button class='btn-danger g_delete' id=''><i class='fa fa-fw fa-trash'></i></button>&nbsp;<button class='btn-warning r_replace' id=''><i class='fa fa-fw fa-exchange'></i></button></td></tr>");
        $(this).closest("tr").remove();
        // Initialize Select2 Elements to products
        $('.product').select2({
          data: jQuery.map(customer_products, function(val,i){
          return {id: val['id'], text: val['name']+'-'+ val['code']} ;
          })
        });
        var i = 1;
        $('.edit_table td:first-child').each(function() {
            $(this).text(i); 
            i++;
        });
      } else {
        event.preventDefault();
      }
    });

    // add button action
    $(".add_button").click(function(){
      
      $(".edit_table tr:last").after("<tr><td></td><td><select class='product form-control select2' name='products[]' style='width:100%;' required='required'><option value='' selected>---- select -----</option></select></td><td><select class='unit form-control' name='units[]' style='width:100%;' required='required'><option value='' selected>---- select -----</option></select></td><td><select class='grade form-control' name='grades[]' style='width:100%;' ><option value='' selected>---- select -----</option></select></td><td><input class='qty' type='number' value='' name='qtys[]' required='required'></td><td></td><td><button class='btn-danger g_delete' id=''><i class='fa fa-fw fa-trash'></i></button>&nbsp;<button class='btn-warning r_replace' id=''><i class='fa fa-fw fa-exchange'></i></button></td></tr>");

        var i = 1;
        $('.edit_table td:first-child').each(function() {
            $(this).text(i); 
            i++;
        });
        // Initialize Select2 Elements to products
        $('.product').select2({
          data: jQuery.map(customer_products, function(val,i){
          return {id: val['id'], text: val['name']+'-'+ val['code']} ;
          })
        });

    });


    $(document).on("click",".schd_crt",function(){
      var id = $(this).attr('id');
      var mrid = $(this).attr('mrid');
      var grdid = $(this).attr('grdid');
      $(".schedule_table").find("tr:gt(0)").remove();
      $.get("{{url('sea_mr_product_schedules')}}", {option: id, mrid: mrid, grdid: grdid}, function(data){
        $(".schedule_table tr:last").after(data);
        $('.datepicker').datepicker({
          autoclose: true,
          format: 'dd-M-yyyy',
        });
      });
    });

    $(document).on("click",".re_schd_crt",function(){
      var id = $(this).attr('id');
      var mrid = $(this).attr('mrid');
      var grdid = $(this).attr('grdid');
      var nwqty = $(this).closest('tr').find("td:nth-child(5) .qty").val();
      
      $(".new_schedule").find("tr:gt(0)").remove();
      $.get("{{url('sea_mr_product_schedules_recalc')}}", {option: id, mrid: mrid, grdid: grdid, newqty: nwqty}, function(data){
        $(".new_schedule tr:last").after(data);
        $('.datepicker').datepicker({
          autoclose: true,
          format: 'dd-M-yyyy',
        });
      });
    });

    // scheduled_list
    $("#scheduled_list").submit(function(e){
      e.preventDefault();
      var scd_dates = {};
      $(".schd_date").each(function(){
         var ths = $(this);
         var id= $(this).closest('tr').attr('id');
         scd_dates[id] = ths.val();
         
      });
      
      $.get("{{url('edited/schedules')}}",{sch_dt: scd_dates},function(sch_data){
          $(".close_sl").trigger('click');
      });
      
    });

    $("#comment_form").submit(function(e){
      e.preventDefault();
      var sea_c = $("#mr_sea_comment").val();
      var mid = $("#req_id").val();
      
      if($.trim(sea_c) == '') {
        $("#mr_sea_comment").css("border-color","RED");
      } else {
        $("#mr_sea_comment").css("border-color","");
        $("#mr_sea_comment").val('');
        $("#comment_close").trigger('click');
        $.get("{{url('sea_material_request/comment')}}", {mrid: mid, comment: sea_c}, function(data){
          $(".box-comments").append('<div class="box-comment"><div class="comment-text"><span class="username"><i class="fa fa-comments bg-yellow"></i>'+data.enter_by+'<span class="text-muted pull-right">'+data.created_at+'</span></span>'+data.comment+'</div></div>');
          // var sl = $('.table-condensed tr:last-child td:first-child').html();
          // sl = (typeof sl === "undefined")? 1 : parseInt(sl)+1;
          // $(".table-condensed").append("<tr><td>"+sl+"</td><td>"+data.comment+"</td><td>"+data.enter_by+"</td><td>"+data.created_at+"</td></tr>");
          
        });
      }
    });

  })

$(document).on("click","#approve", function() {
  $("#approve").attr("disabled","disabled");
  $("#aprForm").append('<input type="hidden" name="approve" value="approve">');
  $("#aprForm").submit();
});

$(document).on("click","#draft", function() {
  $("#draft").attr("disabled","disabled");
  $("#aprForm").append('<input type="hidden" name="draft" value="draft">');
  $("#aprForm").submit();
});

$(document).on("click",".schd_up", function(){
  var product = $(this).attr('id');
  var mid = $(this).attr('mrid');
  var month = $(this).closest("tr").find("td:nth-child(6)").text();
  var grdid = $(this).attr('grdid') 
  $.get("{{url('sea_mr_product_upcoming_schedules')}}", {option: product, mr_id:mid,month:month, grdid: grdid}, function(data){
    var i = 1;
     $.each(data, function(index, element){
            
            $(".upcoming tbody").append("<tr><td>"+i+"</td><td>" + element.request_no + "</td><td>" + element.scheduled_date + "</td><td>" + element.unit + "</td><td>" + element.grade + "</td><td>" + element.qty + "</td></tr>");

            i++; 
          
            
    });
  });
});

$("#add_prdt_form").submit(function(e){
  e.preventDefault();

  var mrid = $("#mr_sea_id").val();
  var prd = $("#product").val();
  var grd = $("#grade").val();
  var unt = $("#unit").val();
  var qty = $("#qty").val();
  var sch = $("#schedule").val();
  var mnth = $("#req_mnth").val();
  var pltq = $("#pallet_qty").val();
  var ctn_plt = $("#ctn_per_pallet").val();
  $.get("{{route('sea_material_approve_request_p.store')}}", 
    {mrid: mrid, product: prd,qty: qty,unit: unt,grade: grd,requested_month: mnth,ctn_per_pallet:ctn_plt,pallet_qty:pltq,schedule: sch}, function(newdata){
        
        if(newdata['status'] == "CRT") {
          $("#product_table").append(newdata['value']);
          var i = 1;
          $('.edit_table td:first-child').each(function() {
              $(this).text(i); 
              i++;
          });
        } else if(newdata['status'] == "EX") {
            alert(newdata['value']);  
        }
        $("#close_new").trigger('click');
  });
});

$("#close_new, .close").click(function(){
  $("#product").val('').change();
  $("#grade").val('');
  $("#unit").val('');
  $("#qty").val('');
  $("#schedule").val('');
  $("#req_mnth").val('');
});

</script>

</body>
</html>
