<!DOCTYPE html>
<html>
<head>
  @include('title')
  

  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">
  
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="{{asset('lte/plugins/iCheck/all.css')}}">

  <!-- Select2 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/select2/dist/css/select2.min.css')}}">
  
</head>
<script type="text/javascript">
  var ports = {};
</script>
<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">

  <div id="preload" style="opacity:1;background:rgba(0,0,0,0.3);position: fixed;top:0;right:0;bottom:0;left:0;z-index:1050; display: block;">
    <div class="box box-danger">
      <div class="box-header">
        <h3 class="box-title">Page Loading...</h3>
      </div>
      <div class="box-body">
        Please Wait!
      </div>
      <!-- /.box-body -->
      <!-- Loading (remove the following to stop the loading)-->
      <div class="overlay">
        <i class="fa fa-refresh fa-spin"></i>
      </div>
      <!-- end loading -->
    </div>
    <!-- /.box -->
  </div>
  
  @include('headertag')
  <!-- Left side column. contains the logo and sidebar -->
  @include('leftside')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
      <h1>
         Add Consignments
        </h1>
        <ol class="breadcrumb">
          <li><a href="{{route('polist.list')}}"><i class="fa fa-dashboard"></i>Purchase Order</a></li>
          <li class="active">consignments</li>
        </ol>
      </section>
      <br>

      <!-- Main content -->
      <section class="content">
        
        <!-- Main row -->
        <div class="row">
          <!-- Left col -->
          <section class="col-lg-12 connectedSortable">
            <div class="box-header with-border">
                <div class="alert alert-danger alert-dismissible" style="display: none">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                Grade Already Exist
              </div>

                <div class="alert alert-success alert-dismissible" style="display: none">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                Consignment added successfully.
              </div>
                
                <div class="alert alert-info alert-dismissible" style="display: none">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                Updated Successfully
              </div>
                
              </div>
            <!-- Custom tabs (Charts with tabs)-->

          <div class="box">
        
            <div class="box-body">
            <form id="myform" method="POST">

              <input type="hidden" name="po_id" id="po_id" value="{{$po_id}}">
             
              <table id="example1" class="table table-bordered table-striped consignment">
                <thead>
                <tr>
                  <th style="width: 73px;">Sl No.</th>
                  <th style="width: 200px;">Bill No.</th>
                  <th style="width: 220px;">Port Dispatch</th>
                  <th style="width: 220px;">Port Delivery</th>
                  <th style="width: 100px">ETA</th>
                  <th style="width: 128px;">Add/Update</th>
                  <th style="width: 128px;">Map Products</th>
                  <th style="width: 134px;"></th>
                </tr>
                </thead>
                <tbody>
                  <?php $c =1;?>
                  @if(count($consignments) > 0)
                  @foreach($consignments as $data)
                 <tr>
                   <td>{{$c++}}</td>
                   <td><input type="text" name="billno[]" value="{{$data->bill_no}}" class="form-control billno" required=""></td>
                   <td>
                     <select class="dispatch form-control select2" name="dispatch[]" style="width: 100%" required="">
                       <option value="{{$data->dispatch_port}}">{{$data->dispatchPort['port']}}</option>
                       
                     </select>
                   </td>
                   <td>
                     <select class="delivery form-control select2" name="delivery[]" style="width: 100%" required="">
                       <option value="{{$data->arrival_port}}">{{$data->arrivalPort['port']}}</option>
                       
                     </select>
                   </td>
                   <td><input type="date" name="eta[]" value="{{$data->eta}}" class="eta form-control"></td>
                   <td>
                    <button type="button" class="btn-success add"><i class="fa fa-fw  fa-check"></i></button>
                    <input type="hidden" name="cons_id" class="cons" value="{{$data->id}}">
                  </td>
                   <td>
                    <a class="btn map" data-toggle="modal" data-target="#modal-default"><i class="fa fa-fw fa-random" style="color: blue;"></i></a>        
                  </td>
            
                  <td>
                    <button type="button" class="btn-default next"><i class="fa fa-fw fa-plus"></i></button>
                    <button type="button" class="btn-danger delete"><i class="fa fa-fw fa-trash"></i></button>
                  </td> 
                 </tr>
                @endforeach
                @else

                  <tr>
                   <td>1</td>
                   <td><input type="text" name="billno[]" class="form-control billno" required=""></td>
                   <td>
                     <select class="dispatch form-control select2" name="dispatch[]" style="width: 100%" required="">
                       <option value="">--select--</option>
                       
                     </select>
                   </td>
                   <td>
                     <select class="delivery form-control select2" name="delivery[]" style="width: 100%" required="">
                       <option value="">--select--</option>
                       
                     </select>
                   </td>
                   <td><input type="date" name="eta[]" class="eta form-control"></td>
                   <td>
                    <button type="button" class="btn-success add"><i class="fa fa-fw  fa-check"></i></button>
                    <input type="hidden" name="cons_id" class="cons">
                  </td>
                   <td>
                    <a class="btn map" data-toggle="modal" data-target="#modal-default" style="visibility: hidden;"><i class="fa fa-fw fa-random" style="color: blue;"></i></a>        
                  </td>
            
                  <td>
                    <button type="button" class="btn-default next" style="visibility: hidden;"><i class="fa fa-fw fa-plus"></i></button>
                    <button type="button" class="btn-danger delete" style="visibility: hidden;"><i class="fa fa-fw fa-trash"></i></button>
                  </td> 
                 </tr>

                @endif
              </tbody>
              </table>
              <div class="pull-right">
                  <a href="{{route('polist.list')}}" class="btn btn-warning">BACK</a>
              </div>
            </form>
            </div>
          </div>
            <!-- /.nav-tabs-custom -->

            <!-- Chat box -->
            
            <!-- /.box (chat box) -->

            
            <!-- quick email widget -->
          </section>
          <!-- /.Left col -->
          
        </div>
        <!-- /.row (main row) -->

      </section>
      <!-- /.content -->
    </div>
  <!-- /.content-wrapper -->
  

       <!-- add supplier -->
      <div class="modal modal-default fade" id="modal-default">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                      <h4 class="modal-title" id="title">Map Products</h4>
                  </div>
                  <div class="modal-body">
                      <form id="mappingForm" class="form-horizontal" action="{{route('consignment.map.products')}}" method="POST">
                      <input type="hidden" name="_token" value="{{{ csrf_token() }}}">
                      <input type="hidden" name="po" value="{{$po_id}}">
                      <input type="hidden" name="consignment_id" id="consignment_id">
                        <div class="box-body"><br>
                          <table  class="table table-bordered" id="products">
                            <thead>
                              <tr> 
                                <th>Sl No.</th>
                                <th>Product</th>
                                <th>Balance Qty</th>
                                <th style="width: 94px;">Supplied Qty</th>
                                <th>Unit</th>
                                <th>Grade</th>
                                <th>Remove</th>
                              </tr>
                            </thead>
                      
                            <tbody>
                              <tr>
                            
                              </tr>  
                            </tbody>

                          </table>
                        </div>
                        <!-- /.box-body -->
                      </form>
                    </div>
                 
                 <div class="modal-footer">
              <button type="button" class="btn btn-danger pull-left" data-dismiss="modal">
              Close</button>
              <button type="button" class="btn btn-success pull-right" id="savePrds">SAVE</button>
          </div>
          
        </div>
        <!-- /.modal-content -->
      </div>
      <!-- /.modal-dialog -->
    </div>
  <!-- /.modal -->

  
  @include('footertag')

  <!-- Control Sidebar -->
  @include('rightside')
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

  <!-- jQuery 3 -->
  <script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="{{asset('lte/bower_components/jquery-ui/jquery-ui.min.js')}}"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <!-- Bootstrap 3.3.7 -->
  <script src="{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
  
  <!-- Sparkline -->
  <script src="{{asset('lte/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js')}}"></script>
  
  <!-- Bootstrap WYSIHTML5 -->
  <script src="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js')}}"></script>
  <!-- Slimscroll -->
  <script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
  <!-- FastClick -->
  <script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
  <!-- AdminLTE App -->
  <script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
  
  <!-- AdminLTE for demo purposes -->
  <script src="{{asset('lte/dist/js/demo.js')}}"></script>

  <!-- iCheck 1.0.1 -->
<script src="{{asset('lte/plugins/iCheck/icheck.min.js')}}"></script>

<!-- Select2 -->
<script src="{{asset('lte/bower_components/select2/dist/js/select2.full.min.js')}}"></script>

<script>
  $(function () {
    $('.select2').select2()
  })
</script>


<script type="text/javascript">

//preload ports
  $(document).ready(function() {
    $("#preload").show();

    $.get("{{ url('ports/load')}}", 
      function(data) {
        console.log(data);
        ports = (data);
        $("#preload").hide();

        $('.dispatch').select2({
          data: jQuery.map(ports, function(val,z){
          return {id: val['id'], text: val['port']} ;
          })
        });

        $('.delivery').select2({
          data: jQuery.map(ports, function(val,z){
          return {id: val['id'], text: val['port']} ;
          })
        });

      });       
  });

  //next

  $(document).on("click",".next", function() {
    
    $(".consignment tr:last").after('<tr><td></td><td><input type="text" name="billno[]" class="form-control billno" required=""></td><td><select class="form-control select2 dispatch" name="dispatch[]" style="width: 100%" required=""><option value="">--select--</option></select></td><td><select class="form-control select2 delivery" name="delivery[]" style="width: 100%" required=""><option value="">--select--</option></select></td><td><input type="date" name="eta[]" class="eta form-control"></td><td><button type="button" class="btn-success add"><i class="fa fa-fw  fa-check"></i></button><input type="hidden" name="cons_id" class="cons"></td><td><a class="btn map" data-toggle="modal" data-target="#modal-default" style="visibility:hidden;"><i class="fa fa-fw fa-random" style="color: blue;"></i></a></td><td><button type="button" class="btn-default next" style="visibility: hidden;"><i class="fa fa-fw fa-plus"></i></button> <button type="button" class="btn-danger delete" style="visibility: hidden;"><i class="fa fa-fw fa-trash"></i></button></td></tr>');

    $('.dispatch').select2({
      data: jQuery.map(ports, function(val,z){
        return {id: val['id'], text: val['port']} ;
      })
    });

    $('.delivery').select2({
      data: jQuery.map(ports, function(val,z){
        return {id: val['id'], text: val['port']} ;
      })
    });

    var i = 1;
    $('.consignment td:first-child').each(function() {
      $(this).text(i); 
      i++;
    });

 });


 //add

 $(document).on("click",".add", function() {
  var a = $(this);
  var po_id = $("#po_id").val();
  var billno = $(this).parent().parent().find(".billno").val();
  var dispatch = $(this).parent().parent().find(".dispatch").val();
  var delivery = $(this).parent().parent().find(".delivery").val();
  var eta= $(this).parent().parent().find(".eta").val();
  var cons_id = $(this).parent().parent().find(".cons").val();


  if(billno != "" && dispatch != "" && delivery != "" && eta != ""){
    $.get("{{url('po/insert/consignment')}}",
      {bill: billno, poid: po_id, dispatch: dispatch, delivery: delivery, eta: eta, cons: cons_id},
      function(data) {
        $(a).parent().parent().find(".cons").val(data[0]);
        $(a).parent().parent().find(".map").css("visibility", "visible");
        $(a).parent().parent().find(".next").css("visibility", "visible");
        $(a).parent().parent().find(".delete").css("visibility", "visible");
        $(a).parent().parent().find(".delete").attr('id', data[0]);

        if(data[1] == 1){
          $(".alert-success").show();
        }
        else if(data[1] == 0){
          $(".alert-info").show();
        }
    });
  }
  else{
    if(billno == ""){
     $(this).closest("tr").find("td:nth-child(2)").css("background-color","#ff5b5b");
    }
    if(dispatch == ""){
      $(this).closest("tr").find("td:nth-child(3)").css("background-color","#ff5b5b");
    }
    if(delivery == ""){
      $(this).closest("tr").find("td:nth-child(4)").css("background-color","#ff5b5b");
    }
    if(eta == ""){
      $(this).closest("tr").find("td:nth-child(5)").css("background-color","#ff5b5b");
    }
  }
  
  // #ef2e36
 });
 
 //map products

 $(document).on("click",".map", function() {
  $("#products tbody").empty();
  var m = $(this);
  var po_id = $("#po_id").val();
  var cons_id = $(this).parent().parent().find(".cons").val();

  $.get("{{url('po/get/products')}}",
    {poid : po_id,cons : cons_id},
    function(data) {
      console.log(data);
      if(data[0] != null){
        $.each(data[0], function(index, element){

          if(element.grade_id == null){
            var grade_name = "-";
            var grade_id = 0;
          }
          else{
            var grade_name = element.grade;
            var grade_id = element.grade_id;
          }

          $("#products tbody").append('<tr><td></td><td><input type="hidden" name="cons_prd[]" class="form-control cons_prd" value="'+element.id+'"><input type="hidden" name="product[]" class="form-control product" value="'+element.prd+'" required=""><label>'+element.name+'</label></td><td><input type="hidden" name="tot_qty[]" class="form-control tot_qty" value="'+element.tot_qty+'" required=""><label>'+element.tot_qty+'</label></td><td><input type="number" name="qty_supply[]" class="form-control qty_supply" value="'+element.supply+'" required=""></td><td><input type="hidden" name="unit[]" class="form-control unit" value="'+element.unit_id+'"><label>'+element.unit+'</label></td><td><input type="hidden" name="grade[]" class="form-control grade" value="'+grade_id+'"><label>'+grade_name+'</label></td><td><button type="button" class="btn-danger remove"><i class="fa fa-fw fa-trash"></i></button></td></tr>');

        });

      }

      if(data[1] != null){
        $.each(data[1], function(index, element){

          if(element.grade_id == null){
            var grade_name = "-";
            var grade_id = 0;
          }
          else{
            var grade_name = element.grade;
            var grade_id = element.grade_id;
          }

          
          $("#products tbody").append('<tr><td></td><td><input type="hidden" name="cons_prd[]" class="form-control cons_prd" value=""><input type="hidden" name="product[]" class="form-control product" value="'+element.prd+'" required=""><label>'+element.name+'</label></td><td><input type="hidden" name="tot_qty[]" class="form-control tot_qty" value="'+element.tot_qty+'" required=""><label>'+element.tot_qty+'</label></td><td><input type="number" name="qty_supply[]" class="form-control qty_supply" value="" required=""></td><td><input type="hidden" name="unit[]" class="form-control unit" value="'+element.unit_id+'"><label>'+element.unit+'</label></td><td><input type="hidden" name="grade[]" class="form-control grade" value="'+grade_id+'"><label>'+grade_name+'</label></td><td><button type="button" class="btn-danger remove"><i class="fa fa-fw fa-trash"></i></button></td></tr>');
        
        });

      }
      
      $("#consignment_id").val(cons_id);

      var i = 1;
      $('#products td:first-child').each(function() {
        $(this).text(i); 
        i++;
      });
      
    });
 });



 //remove

 $(document).on("click",".remove", function() {
    var row = $(this);
    $(row).closest("tr").remove();

    var i = 1;
    $('#products td:first-child').each(function() {
      $(this).text(i); 
      i++;
    });
 });


 //save products

 $(document).on("click","#savePrds", function() {
  $("#mappingForm").submit();
  
 });

//check qty
 $(document).on("keyup",".qty_supply", function(){
  var row = $(this);
  var value = $(this).val();
  var cons = $("#consignment_id").val();
  var prd = $(row).closest("tr").find("td:nth-child(2) .product").val();
  var cons_prd = $(row).closest("tr").find("td:nth-child(2) .cons_prd").val();
  var po = $("#po_id").val();
  
  $.get("{{url('check/supplyQty')}}",
    {qty: value, cons_id : cons, product:prd, po_id : po, cons_prd: cons_prd},
    function(data){
      console.log(data);
      if(data == 1){
        $(row).val("");
      }
    });
 })

//delete consignment
 $(document).on("click",".delete", function() {
    var row = $(this);
    var id = $(this).closest("tr").find("td:nth-child(6) .cons").val();
    if(confirm("Do you want to delete this consignment?") == true){
      $.get("{{url('delete/consignment')}}",
      {option:id},
      function(data){
        console.log(data);

        location.reload();
  
      });
    }else {
        event.preventDefault();
    }
    
 });


</script>
</body>

</html>
