<!DOCTYPE html>
<html >
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>SUHOL</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body >
<div class="hidden-print text-center" style="float:left; margin:20px" >
        <a  class="btn btn-danger" href="{{URL::previous()}}">Back</a>
    </div>
<br><br><br>
  <!-- Main content -->
   <section class="invoice">
      <!-- title row -->
      <div class="row">
        <div class="col-xs-12">
          <h2 class="page-header">
            <i class=""></i> Received Report
            <small class="pull-right">Date: {{$st_date}} - {{$end_date}}</small>
          </h2>
        </div>
        <!-- /.col -->
      </div>
      <!-- info row -->
      <div class="row invoice-info">
        <div class="col-sm-4 invoice-col">
         <strong></strong> <br>
          
        </div>
        <!-- /.col -->
        
       
      </div><br>
      <!-- /.row -->
      @if(count($mrs) > 0)
      <!-- Table row -->
      <div class="row">
        <div class="col-xs-12 table-responsive">
          <table class="table table-bordered table-striped">
            <thead>

            </thead>
            <tbody>
            @foreach($mrs as $mr)
            <tr>
              <th>Customer</th>
              <th>MR NO</th>
              <th>Order Date</th>
              <th>Order Time</th>
              <th>Rece<br>Date</th>
              <th>Rece<br>Time</th>
              <th>Location</th>
              <th></th>
              <th></th>
              <th></th>
            </tr>
            <tr>
              <th>{{$mr->customer->name}}</th>
              <th>{{$mr->request_no}}</th>
              <th>{{date('d-m-Y',strtotime($mr->request_date))}}</th>
              <th>{{date('H:i:s',strtotime($mr->request_time))}}</th>
              <th>{{date('d-m-Y',strtotime($mr->recieved_date))}}</th>
              <th>{{date('H:i:s',strtotime($mr->recieved_time))}}</th>
              <th>{{$mr->customer->location}}</th>
              <th></th>
              <th></th>
              <th></th>
            </tr>
            
            <?php $c = 1;  $qty = 0 ;?>
            <tr>
              <th>Sl No.</th>
              <th>Product</th>
              <th>Packing</th>
              <th>UOM</th>
              <th>Req Qty</th>
              <th>Appr Qty</th>
              <th>Rece Qty</th>
              <th>Short</th>
              <th>Excess</th>
              <th>Extra<br>Order</th>
            </tr>
            @foreach($recieved_products->where('material_requisition_id','=',$mr->id) as $rec_prd)
            <tr>
              <td>{{$c++}}</td>
              <td>{{$rec_prd->product->name}}</td>
              <td>{{$rec_prd->grade->grade or ''}}</td>
              <td>{{$rec_prd->unit->unit or ''}}</td>
              <td>{{$rec_prd->req_qty}}</td>
              <td>{{$rec_prd->apr_qty}}</td>
              <td>{{$rec_prd->rec_qty}}</td>
              <td>@if($rec_prd->req_qty > $rec_prd->rec_qty){{$rec_prd->req_qty - $rec_prd->rec_qty}}@endif</td>
              <td>@if($rec_prd->rec_qty > $rec_prd->req_qty AND $rec_prd->req_qty != 0){{$rec_prd->rec_qty > $rec_prd->req_qty}}@endif</td>
              <td>@if($rec_prd->req_qty == 0){{$rec_prd->rec_qty}}@endif</td>
            </tr>
            @endforeach
            </tbody>
            @endforeach
          </table>
        </div>
        @else
        No data available
        @endif
        <!-- /.col -->
      </div>
      <!-- /.row -->

      

      <!-- this row will not appear when printing -->
      <div class="row no-print">
        <div class="col-xs-12">
          <a  target="_blank"  class="btn btn-default pull-right" onclick="window.print();"><i class="fa fa-print"></i> Print</a>
         
        </div>
      </div>
    </section>
    <!-- /.content -->
  <!-- /.content -->

</body>
</html>
