<!DOCTYPE html>
<html >
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>SUHOL</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  <style type="text/css">
    .table > thead > tr > th,
    .table > tbody > tr > th,
    .table > tfoot > tr > th,
    .table > thead > tr > td,
    .table > tbody > tr > td,
    .table > tfoot > tr > td {
      padding: 1px;
      line-height: 1.42857143;
      vertical-align: top;
      border-top: 1px solid #ddd;
    }

    .table > thead > tr > th {
      vertical-align: bottom;
      border-bottom: 2px solid #ddd;
    }

    body {
      font-size: 14px;
    }

  </style>

  </style>
</head>
<body >
<div class="hidden-print text-center" style="float:left; margin:20px" >
        <a  class="btn btn-danger" href="{{URL::previous()}}">Back</a>
    </div>
<br><br><br>
  <!-- Main content -->
   <section class="invoice">
      <!-- title row -->
      <div class="row">
        <div class="col-xs-12">
          <h2 class="page-header">
            <i class=""></i> PR Report
            <!-- <small class="pull-right">Date: {{date('d-m-Y',strtotime($pr->request_date))}}</small> -->
          </h2>
        </div>
        <!-- /.col -->
      </div>
      
      <div class="row invoice-info">
        <div class="col-sm-3 invoice-col">
           <strong> PR No. : </strong> {{$pr->request_no}}
        </div>
        <div class="col-sm-3 invoice-col">
           <strong> Date : </strong> {{date('d-m-Y',strtotime($pr->request_date))}}
        </div>
       
      </div><br>
       
      <!-- Table row -->
      <div class="row" style="page-break-after: always;">
        <div class="col-xs-12 table-responsive">
          <table class="table table-bordered table-striped" style="font-size: 12px;">
            <thead>
            <tr>
              <th>Sl No.</th>
              <th>Product</th>
              <th>Req.Qty</th>
              <th>Apr.Qty</th>
              <th>Unit</th>
              <th>Grade</th>
            </tr>
            </thead>
            <tbody>
            <?php $c = 1;?>
            @if(count($products) > 0)
            @foreach($products as $prd)
            <tr>
              <td>{{$c++}}</td>
              <td>{{$prd->product['name']}}</td>
              <td>{{$prd->qty}}</td>
              <td>{{$prd->apr_qty}}</td>
              <td>{{$prd->unit['unit']}}</td>
              <td>{{$prd->grade['grade']}}</td>
            </tr>
            @endforeach
            @endif
            </tbody>
            
          </table>
          
       
        </div>
        
        <!-- /.col -->
      </div>
      <!-- /.row -->
      

      <!-- this row will not appear when printing -->
      <div class="row no-print">
        <div class="col-xs-12">
          <a  target="_blank"  class="btn btn-default pull-right" onclick="window.print();"><i class="fa fa-print"></i> Print</a>
         
        </div>
      </div>
    </section>
    <!-- /.content -->
  <!-- /.content -->
</div>
<!-- ./wrapper -->
</body>
</html>
