<!DOCTYPE html>
<html >
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>SUHOL</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body >
<div class="hidden-print text-center" style="float:left; margin:20px" >
        <a  class="btn btn-danger" href="{{URL::previous()}}">Back</a>
    </div>
<br><br><br>
  <!-- Main content -->
   <section class="invoice">
      <!-- title row -->
      <div class="row">
        <div class="col-xs-12">
          <h2 class="page-header">
            <i class=""></i> Status Report
          </h2>
        </div>
        <!-- /.col -->
      </div>
      <div class="row invoice-info">
       <div class="col-xs-2"></div>
       
       @if($customer == NULL && $status == NULL)
        <div class="col-sm-4 invoice-col">          
         <strong> Date :  {{date('d-m-Y',strtotime($from))}} - {{date('d-m-Y',strtotime($to))}}</strong>
        </div>
        @endif
        @if($customer != NULL)
        <div class="col-sm-4 invoice-col">          
         <strong> Customer Name  :  {{$customer}}</strong>
        </div>
         @endif
        <!-- /.col -->
        @if($status != NULL)
        <div class="col-sm-4 invoice-col">
           <strong> Status : 
              @if($status == 'REC')
              RECEIVED
              @elseif($status == 'APR')
              APPROVED
              @elseif($status == 'REQ')
              PENDING
              @else
              PURCHASE REQUEST
              @endif
           </strong> 
        </div>
       @endif
       
      </div><br>
      <!-- /.row -->

      <!-- Table row -->
      <div class="row" style="page-break-after: always;">
        <div class="col-xs-12 table-responsive">
          <table class="table table-bordered table-striped">
            <thead>
            <tr>
              <th>Sl No.</th>
              <th>MR No.</th>
              <th>Request Date</th>
              @if($customer == NULL)
              <th>Customer Name</th>
              @endif
              @if($status == NULL)
              <th>Status</th>
              @endif
              @if($status == 'REC' || $status == NULL)
              <th>Remarks</th>
              @endif
            </tr>
            </thead>
            <tbody>
            <?php $c = 1;?>
            @if($data!= NULL)
            @foreach($data as $mr)
            <tr>
              <td>{{$c++}}</td>
              <td>{{$mr->request_no}}</td>
              <td>{{date('d-m-Y',strtotime($mr->request_date))}}</td>
              @if($customer == NULL)
              <td>{{$mr->customer['name']}}</td>
              @endif
              @if($status == NULL)
              <td>
                @if($mr->status == 'REC')
                RECEIVED
                @elseif($mr->status == 'APR')
                APPROVED
                @elseif($mr->status == 'REQ')
                PENDING
                @else
                PURCHASE REQUEST
                @endif
              </td>
              @endif
              @if($status == 'REC' || $status == NULL)
              <td>                
                @if($mr->remarks != NULL)
                {{$mr->remarks}}
                @endif
              </td>
              @endif
            </tr>
            @endforeach
            @endif
            </tbody>
            
          </table>
          
        </div>
        
        <!-- /.col -->
      </div>
      <!-- /.row -->

      

      <!-- this row will not appear when printing -->
      <div class="row no-print">
        <div class="col-xs-12">
          <a  target="_blank"  class="btn btn-default pull-right" onclick="window.print();"><i class="fa fa-print"></i> Print</a>
         
        </div>
      </div>
    </section>
    <!-- /.content -->
  <!-- /.content -->
</div>
<!-- ./wrapper -->
</body>
</html>
