<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});


Route::post('/login','MobileAppController@login');

### @modeName @userId
Route::get('/customers/list','MobileAppController@customersList');
### @userId @customer_id @location_id 
Route::post('/mr/cash/insert','MobileAppController@mrCashInsert');
Route::post('/mr/cash/update','MobileAppController@mrCashUpdate');

Route::post('/mr/credit/insert','MobileAppController@mrCreditInsert');
Route::post('/mr/credit/update','MobileAppController@mrCreditUpdate');

Route::get('/mr/order/list','MobileAppController@mrList');

Route::get('/notification/list','MobileAppController@notificationList');

//@apiKey @fromDate @toDate @location
Route::get('/ws/orders','MobileAppController@wsOrder');



// customer material request application
Route::get('/product/list','MobileAppController@productList');
Route::post('/mr/recieved','MobileAppController@mrRecieved');
Route::get('/previous/list','MobileAppController@previousList');
Route::post('/mr/insert','MobileAppController@mrInsert');
Route::post('mr/update','MobileAppController@mrUpdate');
Route::post('mr/received/products','MobileAppController@mrRecievedProduct');
Route::get('mr/notification/list','MobileAppController@mrNotification');
Route::post('mr/notification/insert','MobileAppController@notificationInsert');
Route::get('mr/list','MobileAppController@customerMRList');