<?php


Route::get('sea_material_request/list',['as' => 'sea_material_request.list',
	'uses' => 'MaterialRequestSeaController@viewList']);


Route::get('sea_material_request/index/{id}/{cpy}',['as' => 'sea_material_request.index',
	'uses' => 'MaterialRequestSeaController@index']);

Route::post('sea_material_request_p/store',['as' => 'sea_material_request_p.store',
	'uses' => 'MaterialRequestSeaController@insertRequest']);

Route::get('sea_material_request/edit/{id}',['as' => 'sea_material_request.edit',
	'uses' => 'MaterialRequestSeaController@viewEdit']);

Route::get('sea_mr_approved/view/{id}',['as' => 'sea_mr_approved.view',
	'uses' => 'MaterialRequestSeaController@viewApprovedProduct']);

Route::get('sea_mr_product/edit/{id}',['as' => 'sea_mr_product.edit',
	'uses' => 'MaterialRequestSeaController@editProduct']);

Route::post('sea_material_request_p/update',['as' => 'sea_material_request_p.update',
	'uses' => 'MaterialRequestSeaController@updateProduct']);

Route::get('sea_material_request/comment', ['as' => 'sea_material_request.comment',
	'uses' => 'MaterialRequestSeaController@storeSeaMrComment']);


Route::post('sea_material_request/submit',['as' => 'sea_material_request.submit',
	'uses' => 'MaterialRequestSeaController@requestSubmit']);

Route::get('sea_mr_product/delete',['as' => 'sea_mr_product.delete',
	'uses' => 'MaterialRequestSeaController@deleteProduct']);

Route::get('sea_last_enteries/{id}',['as' => 'sea_last_enteries.add',
	'uses' => 'MaterialRequestSeaController@addLastEntries']);





// mr sea approve
Route::get('sea/mrapproval/index',['as'=>'sea.mrapproval.index',
	'uses'=>'MrApprovalSeaController@listMR']);

Route::get('sea/mrapproval/edit/{id}',['as'=>'sea.mrapproval.edit',
	'uses'=>'MrApprovalSeaController@edit']);

Route::get('sea_mr_product_schedules',['as' => 'sea.mr.product.schedules',
	'uses' => 'MrApprovalSeaController@meProductSchedules']);

Route::post('sea/mr/{id}/approved',['as' => 'sea.mr.approved',
  	'uses' => 'MrApprovalSeaController@mrApproved']);


Route::get('sea_mr_product_upcoming_schedules','MrApprovalSeaController@upcomingSchedule');

// route to get ctn per pallet of a product
Route::get('ctn/pallet/qty', ['as' => 'ctn.pallet.qty',
	'uses' => 'MaterialRequestController@ctnperPallet']); 

// route to add item in sea me approve
Route::get('sea_material_approve_request_p/store',['as' => 'sea_material_approve_request_p.store',	'uses' => 'MrApprovalSeaController@insertPorduct']);
// route to save edited schedule dates
Route::get('edited/schedules',['as' => 'edited.schedules',
	'uses' => 'MrApprovalSeaController@editedSchedules']);
// route to delee the approved product
Route::post('sea_mr_product_detele','MrApprovalSeaController@removeMRPorduct');

Route::get('sea_mr_product_schedules_recalc',['as' => 'sea.mr.product.schedules.recalc',
	'uses' => 'MrApprovalSeaController@meProductSchedulesRecalc']);

Route::get('test/backend','MaterialRequestSeaController@backENDUPDATION');


Route::get('kmd_cust','CustomerController@uploadData');